searchNodes=[{"doc":"Provides localization and formatting of a Date struct or any map with the keys :year, :month, :day and :calendar. Cldr.Date provides support for the built-in calendar Calendar.ISO or any calendars defined with ex_cldr_calendars CLDR provides standard format strings for Date which are reresented by the names :short, :medium, :long and :full. This allows for locale-independent formatting since each locale may define the underlying format string as appropriate.","ref":"Cldr.Date.html","title":"Cldr.Date","type":"module"},{"doc":"Formats a date according to a format string as defined in CLDR and described in TR35 Arguments date is a %Date{} struct or any map that contains the keys year, month, day and calendar backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend/0. options is a keyword list of options for formatting. The valid options are: Options format: :short | :medium | :long | :full or a format string. The default is :medium locale: any locale returned by Cldr.known_locale_names/1. The default is Cldr.get_locale(). number_system: a number system into which the formatted date digits should be transliterated Returns {:ok, formatted_string} or {:error, reason} Examples iex&gt; Cldr.Date.to_string ~D[2017-07-10], MyApp.Cldr, format: :medium, locale: &quot;en&quot; {:ok, &quot;Jul 10, 2017&quot;} iex&gt; Cldr.Date.to_string ~D[2017-07-10], MyApp.Cldr, locale: &quot;en&quot; {:ok, &quot;Jul 10, 2017&quot;} iex&gt; Cldr.Date.to_string ~D[2017-07-10], MyApp.Cldr, format: :full, locale: &quot;en&quot; {:ok, &quot;Monday, July 10, 2017&quot;} iex&gt; Cldr.Date.to_string ~D[2017-07-10], MyApp.Cldr, format: :short, locale: &quot;en&quot; {:ok, &quot;7/10/17&quot;} iex&gt; Cldr.Date.to_string ~D[2017-07-10], MyApp.Cldr, format: :short, locale: &quot;fr&quot; {:ok, &quot;10/07/2017&quot;} iex&gt; Cldr.Date.to_string ~D[2017-07-10], MyApp.Cldr, format: :long, locale: &quot;af&quot; {:ok, &quot;10 Julie 2017&quot;}","ref":"Cldr.Date.html#to_string/3","title":"Cldr.Date.to_string/3","type":"function"},{"doc":"Formats a date according to a format string as defined in CLDR and described in TR35 Arguments date is a %Date{} struct or any map that contains the keys year, month, day and calendar backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend/0. options is a keyword list of options for formatting. Options format: :short | :medium | :long | :full or a format string. The default is :medium locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 number_system: a number system into which the formatted date digits should be transliterated Returns formatted_date or raises an exception. Examples iex&gt; Cldr.Date.to_string! ~D[2017-07-10], MyApp.Cldr, format: :medium, locale: &quot;en&quot; &quot;Jul 10, 2017&quot; iex&gt; Cldr.Date.to_string! ~D[2017-07-10], MyApp.Cldr, locale: &quot;en&quot; &quot;Jul 10, 2017&quot; iex&gt; Cldr.Date.to_string! ~D[2017-07-10], MyApp.Cldr, format: :full,locale: &quot;en&quot; &quot;Monday, July 10, 2017&quot; iex&gt; Cldr.Date.to_string! ~D[2017-07-10], MyApp.Cldr, format: :short, locale: &quot;en&quot; &quot;7/10/17&quot; iex&gt; Cldr.Date.to_string! ~D[2017-07-10], MyApp.Cldr, format: :short, locale: &quot;fr&quot; &quot;10/07/2017&quot; iex&gt; Cldr.Date.to_string! ~D[2017-07-10], MyApp.Cldr, format: :long, locale: &quot;af&quot; &quot;10 Julie 2017&quot;","ref":"Cldr.Date.html#to_string!/3","title":"Cldr.Date.to_string!/3","type":"function"},{"doc":"Provides localization and formatting of a DateTime struct or any map with the keys :year, :month, :day, :calendar, :hour, :minute, :second and optionally :microsecond. Cldr.DateTime provides support for the built-in calendar Calendar.ISO or any calendars defined with ex_cldr_calendars CLDR provides standard format strings for DateTime which are reresented by the names :short, :medium, :long and :full. This allows for locale-independent formatting since each locale will define the underlying format string as appropriate.","ref":"Cldr.DateTime.html","title":"Cldr.DateTime","type":"module"},{"doc":"Formats a DateTime according to a format string as defined in CLDR and described in TR35 Arguments datetime is a %DateTime{} or %NaiveDateTime{}struct or any map that contains the keys :year, :month, :day, :calendar. :hour, :minute and :second with optional :microsecond. backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend/0. options is a keyword list of options for formatting. Options format: :short | :medium | :long | :full or a format string or any of the keys returned by Cldr.DateTime.available_format_names. The default is :medium locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 number_system: a number system into which the formatted date digits should be transliterated era: :variant will use a variant for the era is one is available in the locale. In the &quot;en&quot; for example, the locale era: :variant will return &quot;BCE&quot; instead of &quot;BC&quot;. period: :variant will use a variant for the time period and flexible time period if one is available in the locale. For example, in the &quot;en&quot; locale period: :variant will return &quot;pm&quot; instead of &quot;PM&quot; Returns {:ok, formatted_datetime} or {:error, reason} Examples iex&gt; {:ok, datetime} = DateTime.from_naive(~N[2000-01-01 23:59:59.0], &quot;Etc/UTC&quot;) iex&gt; Cldr.DateTime.to_string datetime {:ok, &quot;Jan 1, 2000, 11:59:59 PM&quot;} iex&gt; Cldr.DateTime.to_string datetime, MyApp.Cldr, locale: &quot;en&quot; {:ok, &quot;Jan 1, 2000, 11:59:59 PM&quot;} iex&gt; Cldr.DateTime.to_string datetime, MyApp.Cldr, format: :long, locale: &quot;en&quot; {:ok, &quot;January 1, 2000 at 11:59:59 PM UTC&quot;} iex&gt; Cldr.DateTime.to_string datetime, MyApp.Cldr, format: :hms, locale: &quot;en&quot; {:ok, &quot;23:59:59&quot;} iex&gt; Cldr.DateTime.to_string datetime, MyApp.Cldr, format: :full, locale: &quot;en&quot; {:ok, &quot;Saturday, January 1, 2000 at 11:59:59 PM GMT&quot;} iex&gt; Cldr.DateTime.to_string datetime, MyApp.Cldr, format: :full, locale: &quot;fr&quot; {:ok, &quot;samedi 1 janvier 2000 à 23:59:59 UTC&quot;}","ref":"Cldr.DateTime.html#to_string/3","title":"Cldr.DateTime.to_string/3","type":"function"},{"doc":"Formats a DateTime according to a format string as defined in CLDR and described in TR35 returning a formatted string or raising on error. Arguments datetime is a %DateTime{} or %NaiveDateTime{}struct or any map that contains the keys :year, :month, :day, :calendar. :hour, :minute and :second with optional :microsecond. backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend/0. options is a keyword list of options for formatting. Options format: :short | :medium | :long | :full or a format string or any of the keys returned by Cldr.DateTime.available_format_names or a format string. The default is :medium locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 number_system: a number system into which the formatted date digits should be transliterated era: :variant will use a variant for the era is one is available in the locale. In the &quot;en&quot; for example, the locale era: :variant will return &quot;BCE&quot; instead of &quot;BC&quot;. period: :variant will use a variant for the time period and flexible time period if one is available in the locale. For example, in the &quot;en&quot; locale period: :variant will return &quot;pm&quot; instead of &quot;PM&quot; Returns formatted_datetime or raises an exception Examples iex&gt; {:ok, datetime} = DateTime.from_naive(~N[2000-01-01 23:59:59.0], &quot;Etc/UTC&quot;) iex&gt; Cldr.DateTime.to_string! datetime, MyApp.Cldr, locale: &quot;en&quot; &quot;Jan 1, 2000, 11:59:59 PM&quot; iex&gt; Cldr.DateTime.to_string! datetime, MyApp.Cldr, format: :long, locale: &quot;en&quot; &quot;January 1, 2000 at 11:59:59 PM UTC&quot; iex&gt; Cldr.DateTime.to_string! datetime, MyApp.Cldr, format: :full, locale: &quot;en&quot; &quot;Saturday, January 1, 2000 at 11:59:59 PM GMT&quot; iex&gt; Cldr.DateTime.to_string! datetime, MyApp.Cldr, format: :full, locale: &quot;fr&quot; &quot;samedi 1 janvier 2000 à 23:59:59 UTC&quot;","ref":"Cldr.DateTime.html#to_string!/3","title":"Cldr.DateTime.to_string!/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.html#type_from_calendar/1","title":"Cldr.DateTime.type_from_calendar/1","type":"function"},{"doc":"Functions to support the string formatting of relative time/datetime numbers. This module provides formatting of numbers (as integers, floats, Dates or DateTimes) as &quot;ago&quot; or &quot;in&quot; with an appropriate time unit. For example, &quot;2 days ago&quot; or &quot;in 10 seconds&quot;","ref":"Cldr.DateTime.Relative.html","title":"Cldr.DateTime.Relative","type":"module"},{"doc":"","ref":"Cldr.DateTime.Relative.html#known_styles/0","title":"Cldr.DateTime.Relative.known_styles/0","type":"function"},{"doc":"Returns a list of the valid unit keys for to_string/2 Example iex&gt; Cldr.DateTime.Relative.known_units [:day, :hour, :minute, :month, :second, :week, :year, :mon, :tue, :wed, :thu, :fri, :sat, :sun, :quarter]","ref":"Cldr.DateTime.Relative.html#known_units/0","title":"Cldr.DateTime.Relative.known_units/0","type":"function"},{"doc":"Calculates the time span in the given unit from the time given in seconds. Examples iex&gt; Cldr.DateTime.Relative.scale_relative(1234, :second) 1234 iex&gt; Cldr.DateTime.Relative.scale_relative(1234, :minute) 21 iex&gt; Cldr.DateTime.Relative.scale_relative(1234, :hour) 0","ref":"Cldr.DateTime.Relative.html#scale_relative/2","title":"Cldr.DateTime.Relative.scale_relative/2","type":"function"},{"doc":"Returns a {:ok, string} representing a relative time (ago, in) for a given number, Date or Datetime. Returns {:error, reason} when errors are detected. relative is a number or Date/Datetime representing the time distance from now or from options[:relative_to] backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend/0. options is a Keyword list of options which are: Options :locale is the locale in which the binary is formatted. The default is Cldr.get_locale/0 :style is the style of the binary. Style may be :default, :narrow or :short :unit is the time unit for the formatting. The allowable units are :second, :minute, :hour, :day, :week, :month, :year, :mon, :tue, :wed, :thu, :fri, :sat, :sun, :quarter :relative_to is the baseline Date or Datetime from which the difference from relative is calculated when relative is a Date or a DateTime. The default for a Date is Date.utc_today, for a DateTime it is DateTime.utc_now Notes When options[:unit] is not specified, Cldr.DateTime.Relative.to_string/2 attempts to identify the appropriate unit based upon the magnitude of relative. For example, given a parameter of less than 60, then to_string/2 will assume :seconds as the unit. See unit_from_relative_time/1. Examples iex&gt; Cldr.DateTime.Relative.to_string(-1, MyApp.Cldr) {:ok, &quot;1 second ago&quot;} iex&gt; Cldr.DateTime.Relative.to_string(1, MyApp.Cldr) {:ok, &quot;in 1 second&quot;} iex&gt; Cldr.DateTime.Relative.to_string(1, MyApp.Cldr, unit: :day) {:ok, &quot;tomorrow&quot;} iex&gt; Cldr.DateTime.Relative.to_string(1, MyApp.Cldr, unit: :day, locale: &quot;fr&quot;) {:ok, &quot;demain&quot;} iex&gt; Cldr.DateTime.Relative.to_string(1, MyApp.Cldr, unit: :day, style: :narrow) {:ok, &quot;tomorrow&quot;} iex&gt; Cldr.DateTime.Relative.to_string(1234, MyApp.Cldr, unit: :year) {:ok, &quot;in 1,234 years&quot;} iex&gt; Cldr.DateTime.Relative.to_string(1234, MyApp.Cldr, unit: :year, locale: &quot;fr&quot;) {:ok, &quot;dans 1 234 ans&quot;} iex&gt; Cldr.DateTime.Relative.to_string(31, MyApp.Cldr) {:ok, &quot;in 31 seconds&quot;} iex&gt; Cldr.DateTime.Relative.to_string(~D[2017-04-29], MyApp.Cldr, relative_to: ~D[2017-04-26]) {:ok, &quot;in 3 days&quot;} iex&gt; Cldr.DateTime.Relative.to_string(310, MyApp.Cldr, style: :short, locale: &quot;fr&quot;) {:ok, &quot;dans 5 min&quot;} iex&gt; Cldr.DateTime.Relative.to_string(310, MyApp.Cldr, style: :narrow, locale: &quot;fr&quot;) {:ok, &quot;+5 min&quot;} iex&gt; Cldr.DateTime.Relative.to_string 2, MyApp.Cldr, unit: :wed, style: :short, locale: &quot;en&quot; {:ok, &quot;in 2 Wed.&quot;} iex&gt; Cldr.DateTime.Relative.to_string 1, MyApp.Cldr, unit: :wed, style: :short {:ok, &quot;next Wed.&quot;} iex&gt; Cldr.DateTime.Relative.to_string -1, MyApp.Cldr, unit: :wed, style: :short {:ok, &quot;last Wed.&quot;} iex&gt; Cldr.DateTime.Relative.to_string -1, MyApp.Cldr, unit: :wed {:ok, &quot;last Wednesday&quot;} iex&gt; Cldr.DateTime.Relative.to_string -1, MyApp.Cldr, unit: :quarter {:ok, &quot;last quarter&quot;} iex&gt; Cldr.DateTime.Relative.to_string -1, MyApp.Cldr, unit: :mon, locale: &quot;fr&quot; {:ok, &quot;lundi dernier&quot;} iex&gt; Cldr.DateTime.Relative.to_string(~D[2017-04-29], MyApp.Cldr, unit: :ziggeraut) {:error, {Cldr.UnknownTimeUnit, &quot;Unknown time unit :ziggeraut. Valid time units are [:day, :hour, :minute, :month, :second, :week, :year, :mon, :tue, :wed, :thu, :fri, :sat, :sun, :quarter]&quot;}}","ref":"Cldr.DateTime.Relative.html#to_string/3","title":"Cldr.DateTime.Relative.to_string/3","type":"function"},{"doc":"Returns a {:ok, string} representing a relative time (ago, in) for a given number, Date or Datetime or raises an exception on error. Arguments relative is a number or Date/Datetime representing the time distance from now or from options[:relative_to]. backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend/0. options is a Keyword list of options. Options :locale is the locale in which the binary is formatted. The default is Cldr.get_locale/0 :style is the format of the binary. Style may be :default, :narrow or :short. The default is :default :unit is the time unit for the formatting. The allowable units are :second, :minute, :hour, :day, :week, :month, :year, :mon, :tue, :wed, :thu, :fri, :sat, :sun, :quarter :relative_to is the baseline Date or Datetime from which the difference from relative is calculated when relative is a Date or a DateTime. The default for a Date is Date.utc_today, for a DateTime it is DateTime.utc_now See to_string/3","ref":"Cldr.DateTime.Relative.html#to_string!/3","title":"Cldr.DateTime.Relative.to_string!/3","type":"function"},{"doc":"Returns an estimate of the appropriate time unit for an integer of a given magnitude of seconds. Examples iex&gt; Cldr.DateTime.Relative.unit_from_relative_time(1234) :minute iex&gt; Cldr.DateTime.Relative.unit_from_relative_time(12345) :hour iex&gt; Cldr.DateTime.Relative.unit_from_relative_time(123456) :day iex&gt; Cldr.DateTime.Relative.unit_from_relative_time(1234567) :week iex&gt; Cldr.DateTime.Relative.unit_from_relative_time(12345678) :month iex&gt; Cldr.DateTime.Relative.unit_from_relative_time(123456789) :year","ref":"Cldr.DateTime.Relative.html#unit_from_relative_time/1","title":"Cldr.DateTime.Relative.unit_from_relative_time/1","type":"function"},{"doc":"Provides localization and formatting of a Time struct or any map with the keys :hour, :minute, :second and optionlly :microsecond. Cldr.Time provides support for the built-in calendar Calendar.ISO or any calendars defined with ex_cldr_calendars CLDR provides standard format strings for Time which are reresented by the names :short, :medium, :long and :full. This allows for locale-independent formatting since each locale may define the underlying format string as appropriate.","ref":"Cldr.Time.html","title":"Cldr.Time","type":"module"},{"doc":"Return the preferred time format for a locale. Arguments language_tag is any language tag returned by Cldr.Locale.new/2 or any locale_name returned by Cldr.known_locale_names/1 Returns The hour format as an atom to be used for localization purposes. The return value is used as a function name in Cldr.DateTime.Formatter Notes The hc key of the u extension is honoured and will override the default preferences for a locale or territory. See the last example below. Different locales and territories present the hour of day in different ways. These are represented in Cldr.DateTime.Formatter in the following way: SymbolMidn.MorningNoonAfternoonMidn. h121...11121...1112 K01...1101...110 H01...111213...230 k241...111213...2324 Examples iex&gt; Cldr.Time.hour_format_from_locale &quot;en-AU&quot; :hour_1_12 iex&gt; Cldr.Time.hour_format_from_locale &quot;fr&quot; :hour_0_23 iex&gt; Cldr.Time.hour_format_from_locale &quot;fr-u-hc-h12&quot; :hour_1_12","ref":"Cldr.Time.html#hour_format_from_locale/1","title":"Cldr.Time.hour_format_from_locale/1","type":"function"},{"doc":"","ref":"Cldr.Time.html#hour_format_from_locale/2","title":"Cldr.Time.hour_format_from_locale/2","type":"function"},{"doc":"Formats a time according to a format string as defined in CLDR and described in TR35 Returns {:ok, formatted_time} or {:error, reason}. Arguments time is a %DateTime{} or %NaiveDateTime{} struct or any map that contains the keys hour, minute, second and optionally calendar and microsecond backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend/0. options is a keyword list of options for formatting. Options format: :short | :medium | :long | :full or a format string. The default is :medium locale: any locale returned by Cldr.known_locale_names/1. The default is Cldr.get_locale() number_system: a number system into which the formatted date digits should be transliterated era: :variant will use a variant for the era is one is available in the locale. In the &quot;en&quot; locale, for example, era: :variant will return &quot;BCE&quot; instead of &quot;BC&quot;. period: :variant will use a variant for the time period and flexible time period if one is available in the locale. For example, in the &quot;en&quot; locale period: :variant will return &quot;pm&quot; instead of &quot;PM&quot; Examples iex&gt; Cldr.Time.to_string ~T[07:35:13.215217], MyApp.Cldr {:ok, &quot;7:35:13 AM&quot;} iex&gt; Cldr.Time.to_string ~T[07:35:13.215217], MyApp.Cldr, format: :short {:ok, &quot;7:35 AM&quot;} iex&gt; Cldr.Time.to_string ~T[07:35:13.215217], MyApp.Cldr, format: :medium, locale: &quot;fr&quot; {:ok, &quot;07:35:13&quot;} iex&gt; Cldr.Time.to_string ~T[07:35:13.215217], MyApp.Cldr, format: :medium {:ok, &quot;7:35:13 AM&quot;} iex&gt; {:ok, datetime} = DateTime.from_naive(~N[2000-01-01 23:59:59.0], &quot;Etc/UTC&quot;) iex&gt; Cldr.Time.to_string datetime, MyApp.Cldr, format: :long {:ok, &quot;11:59:59 PM UTC&quot;}","ref":"Cldr.Time.html#to_string/3","title":"Cldr.Time.to_string/3","type":"function"},{"doc":"Formats a time according to a format string as defined in CLDR and described in TR35. Arguments time is a %DateTime{} or %NaiveDateTime{} struct or any map that contains the keys hour, minute, second and optionally calendar and microsecond backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend/0. options is a keyword list of options for formatting. Options format: :short | :medium | :long | :full or a format string. The default is :medium locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 number_system: a number system into which the formatted date digits should be transliterated era: :variant will use a variant for the era is one is available in the locale. In the &quot;en&quot; locale, for example, era: :variant will return &quot;BCE&quot; instead of &quot;BC&quot;. period: :variant will use a variant for the time period and flexible time period if one is available in the locale. For example, in the &quot;en&quot; locale period: :variant will return &quot;pm&quot; instead of &quot;PM&quot; Returns formatted_time_string or raises an exception. Examples iex&gt; Cldr.Time.to_string! ~T[07:35:13.215217], MyApp.Cldr &quot;7:35:13 AM&quot; iex&gt; Cldr.Time.to_string! ~T[07:35:13.215217], MyApp.Cldr, format: :short &quot;7:35 AM&quot; iex&gt; Cldr.Time.to_string ~T[07:35:13.215217], MyApp.Cldr, format: :short, period: :variant {:ok, &quot;7:35 AM&quot;} iex&gt; Cldr.Time.to_string! ~T[07:35:13.215217], MyApp.Cldr, format: :medium, locale: &quot;fr&quot; &quot;07:35:13&quot; iex&gt; Cldr.Time.to_string! ~T[07:35:13.215217], MyApp.Cldr, format: :medium &quot;7:35:13 AM&quot; iex&gt; {:ok, datetime} = DateTime.from_naive(~N[2000-01-01 23:59:59.0], &quot;Etc/UTC&quot;) iex&gt; Cldr.Time.to_string! datetime, MyApp.Cldr, format: :long &quot;11:59:59 PM UTC&quot;","ref":"Cldr.Time.html#to_string!/3","title":"Cldr.Time.to_string!/3","type":"function"},{"doc":"Tokenizes and parses Date, Time and DateTime format strings. During compilation, each of the date, time and datetime format strings defined in CLDR are compiled into a list of function bodies that are then grafted onto the function head format/3 in a backend module. As a result these compiled formats execute with good performance. For formats not defined in CLDR (ie a user defined format), the tokenizing and parsing is performed, then list of function bodies is created and then format/3 recurses over the list, invoking each function and collecting the results. This process is significantly slower than that of the precompiled formats. User defined formats can also be precompiled by configuring them under the key :precompile_datetime_formats. For example: config :ex_cldr, precompile_datetime_formats: [&quot;yy/dd&quot;, &quot;hhh:mmm:sss&quot;]","ref":"Cldr.DateTime.Compiler.html","title":"Cldr.DateTime.Compiler","type":"module"},{"doc":"Parse a number format definition Arguments format_string is a string defining how a date/time/datetime is to be formatted. See Cldr.DateTime.Formatter for the list of supported format symbols. Returns Returns a list of function bodies which are grafted onto a function head in Cldr.DateTime.Formatter at compile time to produce a series of functions that process a given format string efficiently.","ref":"Cldr.DateTime.Compiler.html#compile/3","title":"Cldr.DateTime.Compiler.compile/3","type":"function"},{"doc":"Scan a number format definition and return the tokens of a date/time/datetime format string. This function is designed to produce output that is fed into Cldr.DateTime.Compiler.compile/3. Arguments definition is a date, datetime or time format string Returns A list of 3-tuples which represent the tokens of the format definition Example iex&gt; Cldr.DateTime.Compiler.tokenize &quot;yyyy/MM/dd&quot; {:ok, [{:year, 1, 4}, {:literal, 1, &quot;/&quot;}, {:month, 1, 2}, {:literal, 1, &quot;/&quot;}, {:day_of_month, 1, 2}], 1}","ref":"Cldr.DateTime.Compiler.html#tokenize/1","title":"Cldr.DateTime.Compiler.tokenize/1","type":"function"},{"doc":"Manages the Date, Time and DateTime formats defined by CLDR. The functions in Cldr.DateTime.Format are primarily concerned with encapsulating the data from CLDR in functions that are used during the formatting process.","ref":"Cldr.DateTime.Format.html","title":"Cldr.DateTime.Format","type":"module"},{"doc":"Returns a list of calendars defined for a given locale. Arguments locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 Example iex&gt; Cldr.DateTime.Format.calendars_for &quot;en&quot;, MyApp.Cldr {:ok, [:buddhist, :chinese, :coptic, :dangi, :ethiopic, :ethiopic_amete_alem, :generic, :gregorian, :hebrew, :indian, :islamic, :islamic_civil, :islamic_rgsa, :islamic_tbla, :islamic_umalqura, :japanese, :persian, :roc]}","ref":"Cldr.DateTime.Format.html#calendars_for/2","title":"Cldr.DateTime.Format.calendars_for/2","type":"function"},{"doc":"Returns a list of the date_time format types that are available in all locales. The format types returned by common_date_time_format_names are guaranteed to be available in all known locales, Example: iex&gt; Cldr.DateTime.Format.common_date_time_format_names [:bh, :bhm, :bhms, :d, :e, :e_bhm, :e_bhms, :e_hm, :e_hms, :ed, :ehm, :ehms, :gy, :gy_mm_md, :gy_mmm, :gy_mmm_ed, :h, :hm, :hms, :hmsv, :hmv, :m, :m_ed, :md, :mm_md, :mmm, :mmm_ed, :mmm_md, :mmmmw_count_other, :ms, :y, :y_m, :y_m_ed, :y_md, :y_mm_md, :y_mmm, :y_mmm_ed, :y_mmmm, :y_qqq, :y_qqqq, :yw_count_other]","ref":"Cldr.DateTime.Format.html#common_date_time_format_names/1","title":"Cldr.DateTime.Format.common_date_time_format_names/1","type":"function"},{"doc":"Returns a map of the standard date formats for a given locale and calendar. Arguments locale is any locale returned by Cldr.known_locale_names/0 calendar is any calendar returned by Cldr.DateTime.Format.calendars_for/1 The default is :gregorian Examples: iex&gt; Cldr.DateTime.Format.date_formats &quot;en&quot;, :gregorian, MyApp.Cldr {:ok, %Cldr.Date.Formats{ full: &quot;EEEE, MMMM d, y&quot;, long: &quot;MMMM d, y&quot;, medium: &quot;MMM d, y&quot;, short: &quot;M/d/yy&quot; }} iex&gt; Cldr.DateTime.Format.date_formats &quot;en&quot;, :buddhist, MyApp.Cldr {:ok, %Cldr.Date.Formats{ full: &quot;EEEE, MMMM d, y G&quot;, long: &quot;MMMM d, y G&quot;, medium: &quot;MMM d, y G&quot;, short: &quot;M/d/y GGGGG&quot; }}","ref":"Cldr.DateTime.Format.html#date_formats/3","title":"Cldr.DateTime.Format.date_formats/3","type":"function"},{"doc":"Returns a map of the available non-standard datetime formats for a given locale and calendar. Arguments locale is any locale returned by Cldr.known_locale_names/0 calendar is any calendar returned by Cldr.DateTime.Format.calendars_for/1 The default is :gregorian Examples: iex&gt; Cldr.DateTime.Format.date_time_available_formats &quot;en&quot; {:ok, %{ yw_count_other: &quot;&#39;week&#39; w &#39;of&#39; Y&quot;, mmm: &quot;LLL&quot;, d: &quot;d&quot;, ehm: &quot;E h:mm a&quot;, y_mmm: &quot;MMM y&quot;, mm_md: &quot;MMM d&quot;, gy_mm_md: &quot;MMM d, y G&quot;, e_bhm: &quot;E h:mm B&quot;, ed: &quot;d E&quot;, mmm_md: &quot;MMMM d&quot;, ehms: &quot;E h:mm:ss a&quot;, y_qqq: &quot;QQQ y&quot;, y_qqqq: &quot;QQQQ y&quot;, m_ed: &quot;E, M/d&quot;, md: &quot;M/d&quot;, bhm: &quot;h:mm B&quot;, hmv: &quot;HH:mm v&quot;, y_m: &quot;M/y&quot;, gy_mmm: &quot;MMM y G&quot;, mmm_ed: &quot;E, MMM d&quot;, y_m_ed: &quot;E, M/d/y&quot;, y_mm_md: &quot;MMM d, y&quot;, gy_mmm_ed: &quot;E, MMM d, y G&quot;, e_hms: &quot;E HH:mm:ss&quot;, e: &quot;ccc&quot;, e_hm: &quot;E HH:mm&quot;, yw_count_one: &quot;&#39;week&#39; w &#39;of&#39; Y&quot;, mmmmw_count_one: &quot;&#39;week&#39; W &#39;of&#39; MMMM&quot;, e_bhms: &quot;E h:mm:ss B&quot;, hms: &quot;HH:mm:ss&quot;, y_mmm_ed: &quot;E, MMM d, y&quot;, y_md: &quot;M/d/y&quot;, ms: &quot;mm:ss&quot;, hmsv: &quot;HH:mm:ss v&quot;, hm: &quot;HH:mm&quot;, h: &quot;HH&quot;, mmmmw_count_other: &quot;&#39;week&#39; W &#39;of&#39; MMMM&quot;, bh: &quot;h B&quot;, m: &quot;L&quot;, bhms: &quot;h:mm:ss B&quot;, y_mmmm: &quot;MMMM y&quot;, y: &quot;y&quot;, gy: &quot;y G&quot; }}","ref":"Cldr.DateTime.Format.html#date_time_available_formats/3","title":"Cldr.DateTime.Format.date_time_available_formats/3","type":"function"},{"doc":"Returns a map of the standard datetime formats for a given locale and calendar. Arguments locale is any locale returned by Cldr.known_locale_names/0 calendar is any calendar returned by Cldr.DateTime.Format.calendars_for/1 The default is :gregorian Examples: iex&gt; Cldr.DateTime.Format.date_time_formats &quot;en&quot; {:ok, %Cldr.DateTime.Formats{ full: &quot;{1} &#39;at&#39; {0}&quot;, long: &quot;{1} &#39;at&#39; {0}&quot;, medium: &quot;{1}, {0}&quot;, short: &quot;{1}, {0}&quot; }} iex&gt; Cldr.DateTime.Format.date_time_formats &quot;en&quot;, :buddhist, MyApp.Cldr {:ok, %Cldr.DateTime.Formats{ full: &quot;{1} &#39;at&#39; {0}&quot;, long: &quot;{1} &#39;at&#39; {0}&quot;, medium: &quot;{1}, {0}&quot;, short: &quot;{1}, {0}&quot; }}","ref":"Cldr.DateTime.Format.html#date_time_formats/3","title":"Cldr.DateTime.Format.date_time_formats/3","type":"function"},{"doc":"Returns the GMT offset format list for a for a timezone offset for a given locale. Arguments locale is any locale returned by Cldr.known_locale_names/0 Example iex&gt; Cldr.DateTime.Format.gmt_format &quot;en&quot;, MyApp.Cldr {:ok, [&quot;GMT&quot;, 0]}","ref":"Cldr.DateTime.Format.html#gmt_format/2","title":"Cldr.DateTime.Format.gmt_format/2","type":"function"},{"doc":"","ref":"Cldr.DateTime.Format.html#gmt_format_type/2","title":"Cldr.DateTime.Format.gmt_format_type/2","type":"function"},{"doc":"Returns the GMT format string for a for a timezone with an offset of zero for a given locale. Arguments locale is any locale returned by Cldr.known_locale_names/0 Example iex&gt; Cldr.DateTime.Format.gmt_zero_format &quot;en&quot;, MyApp.Cldr {:ok, &quot;GMT&quot;}","ref":"Cldr.DateTime.Format.html#gmt_zero_format/2","title":"Cldr.DateTime.Format.gmt_zero_format/2","type":"function"},{"doc":"Returns the postive and negative hour format for a timezone offset for a given locale. Arguments locale is any locale returned by Cldr.known_locale_names/0 Example iex&gt; Cldr.DateTime.Format.hour_format &quot;en&quot;, MyApp.Cldr {:ok, {&quot;+HH:mm&quot;, &quot;-HH:mm&quot;}}","ref":"Cldr.DateTime.Format.html#hour_format/2","title":"Cldr.DateTime.Format.hour_format/2","type":"function"},{"doc":"Returns a map of the standard time formats for a given locale and calendar. Arguments locale is any locale returned by Cldr.known_locale_names/0 calendar is any calendar returned by Cldr.DateTime.Format.calendars_for/1 The default is :gregorian Examples: iex&gt; Cldr.DateTime.Format.time_formats &quot;en&quot; {:ok, %Cldr.Time.Formats{ full: &quot;h:mm:ss a zzzz&quot;, long: &quot;h:mm:ss a z&quot;, medium: &quot;h:mm:ss a&quot;, short: &quot;h:mm a&quot; }} iex&gt; Cldr.DateTime.Format.time_formats &quot;en&quot;, :buddhist {:ok, %Cldr.Time.Formats{ full: &quot;h:mm:ss a zzzz&quot;, long: &quot;h:mm:ss a z&quot;, medium: &quot;h:mm:ss a&quot;, short: &quot;h:mm a&quot; }}","ref":"Cldr.DateTime.Format.html#time_formats/3","title":"Cldr.DateTime.Format.time_formats/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Format.html#t:formats/0","title":"Cldr.DateTime.Format.formats/0","type":"type"},{"doc":"","ref":"Cldr.DateTime.Format.html#t:standard_formats/0","title":"Cldr.DateTime.Format.standard_formats/0","type":"type"},{"doc":"Functions that implement the formatting for each specific format symbol. Each format symbol is an ASCII character in the range a-zA-z. Although not all characters are used as format symbols, all characters are reserved for that use requiring that literals be enclosed in single quote characters, for example &#39;a literal&#39;. Variations of each format are defined by repeating the format symbol one or more times. CLDR typically defines an :abbreviated, :wide and :narrow format that is reprented by a sequence of 3, 4 or 5 format symbols but this can vary depending on the format symbol. The CLDR standard defines a wide range of format symbols. Most - but not all - of these symbols are supported in Cldr. The supported symbols are described below. Format Symbol Table ElementSymbolExampleCldr Format EraG, GG, GGG&quot;AD&quot;Abbreviated GGGG&quot;Anno Domini&quot;Wide GGGGG&quot;A&quot;Narrow Yeary7Minimum necessary digits yy&quot;17&quot;Least significant 2 digits yyy&quot;017&quot;, &quot;2017&quot;Padded to at least 3 digits yyyy&quot;2017&quot;Padded to at least 4 digits yyyyy&quot;02017&quot;Padded to at least 5 digits ISOWeek YearY7Minimum necessary digits YY&quot;17&quot;Least significant 2 digits YYY&quot;017&quot;, &quot;2017&quot;Padded to at least 3 digits YYYY&quot;2017&quot;Padded to at least 4 digits YYYYY&quot;02017&quot;Padded to at least 5 digits Related Gregorian Yearr, rr, rr+2017Minimum necessary digits Cyclic YearU, UU, UUU&quot;甲子&quot;Abbreviated UUUU&quot;甲子&quot; (for now)Wide UUUUU&quot;甲子&quot; (for now)Narrow Extended Yearu+4601Minimim necessary digits QuarterQ2Single digit QQ&quot;02&quot;Two digits QQQ&quot;Q2&quot;Abbreviated QQQQ&quot;2nd quarter&quot;Wide QQQQQ&quot;2&quot;Narrow Standalone Quarterq2Single digit qq&quot;02&quot;Two digits qqq&quot;Q2&quot;Abbreviated qqqq&quot;2nd quarter&quot;Wide qqqqq&quot;2&quot;Narrow MonthM9Single digit MM&quot;09&quot;Two digits MMM&quot;Sep&quot;Abbreviated MMMM&quot;September&quot;Wide MMMMM&quot;S&quot;Narrow Standalone MonthL9Single digit LL&quot;09&quot;Two digits LLL&quot;Sep&quot;Abbreviated LLLL&quot;September&quot;Wide LLLLL&quot;S&quot;Narrow Week of Yearw2, 22Single digit ww02, 22Two digits, zero padded Week of MonthW2Single digit Day of YearD3, 33, 333Minimum necessary digits DD03, 33, 333Minimum of 2 digits, zero padded DDD003, 033, 333Minimum of 3 digits, zero padded Day of Monthd2, 22Minimum necessary digits dd02, 22Two digits, zero padded ddd2nd, 25thOrdinal day of month Day of WeekE, EE, EEE&quot;Tue&quot;Abbreviated EEEE&quot;Tuesday&quot;Wide EEEEE&quot;T&quot;Narrow EEEEEE&quot;Tu&quot;Short e2Single digit ee&quot;02&quot;Two digits eee&quot;Tue&quot;Abbreviated eeee&quot;Tuesday&quot;Wide eeeee&quot;T&quot;Narrow eeeeee&quot;Tu&quot;Short Standalone Day of Weekc, cc2Single digit ccc&quot;Tue&quot;Abbreviated cccc&quot;Tuesday&quot;Wide ccccc&quot;T&quot;Narrow cccccc&quot;Tu&quot;Short AM or PMa, aa, aaa&quot;am.&quot;Abbreviated aaaa&quot;am.&quot;Wide aaaaa&quot;am&quot;Narrow Noon, Mid, AM, PMb, bb, bbb&quot;mid.&quot;Abbreviated bbbb&quot;midnight&quot;Wide bbbbb&quot;md&quot;Narrow Flexible time periodB, BB, BBB&quot;at night&quot;Abbreviated BBBB&quot;at night&quot;Wide BBBBB&quot;at night&quot;Narrow Hourh, K, H, kSee the table below Minutem3, 10Minimim digits of minutes mm&quot;03&quot;, &quot;12&quot;Two digits, zero padded Seconds3, 48Minimim digits of seconds ss&quot;03&quot;, &quot;48&quot;Two digits, zero padded Fractional SecondsS3, 48Minimim digits of fractional seconds SS&quot;03&quot;, &quot;48&quot;Two digits, zero padded MillsecondsA+4000, 63241Minimim digits of milliseconds since midnight Generic non-location TZv&quot;Etc/UTC&quot;:time_zone key, unlocalised vvvv&quot;unk&quot;Generic timezone name. Currently returns only &quot;unk&quot; Specific non-location TZz..zzz&quot;UTC&quot;:zone_abbr key, unlocalised zzzz&quot;GMT&quot;Delegates to zone_gmt/4 Timezone IDV&quot;unk&quot;:zone_abbr key, unlocalised VV&quot;Etc/UTCDelegates to zone_gmt/4 VVV&quot;Unknown City&quot;Exemplar city. Not supported. VVVV&quot;GMT&quot;Delegates to `zone_gmt/4 ISO8601 FormatZ..ZZZ&quot;+0100&quot;ISO8601 Basic Format with hours and minutes ZZZZ&quot;+01:00&quot;Delegates to `zone_gmt/4 ZZZZZ&quot;+01:00:10&quot;ISO8601 Extended format with optional seconds ISO8601 plus ZX&quot;+01&quot;ISO8601 Basic Format with hours and optional minutes or &quot;Z&quot; XX&quot;+0100&quot;ISO8601 Basic Format with hours and minutes or &quot;Z&quot; XXX&quot;+0100&quot;ISO8601 Basic Format with hours and minutes, optional seconds or &quot;Z&quot; XXXX&quot;+010059&quot;ISO8601 Basic Format with hours and minutes, optional seconds or &quot;Z&quot; XXXXX&quot;+01:00:10&quot;ISO8601 Extended Format with hours and minutes, optional seconds or &quot;Z&quot; ISO8601 minus Zx&quot;+0100&quot;ISO8601 Basic Format with hours and optional minutes xx&quot;-0800&quot;ISO8601 Basic Format with hours and minutes xxx&quot;+01:00&quot;ISO8601 Extended Format with hours and minutes xxxx&quot;+010059&quot;ISO8601 Basic Format with hours and minutes, optional seconds xxxxx&quot;+01:00:10&quot;ISO8601 Extended Format with hours and minutes, optional seconds GMT FormatO&quot;+0100&quot;Short localised GMT format OOOO&quot;+010059&quot;Long localised GMT format Formatting symbols for hour of day The hour of day can be formatted differently depending whether a 12- or 24-hour day is being represented and depending on the way in which midnight and noon are represented. The following table illustrates the differences: SymbolMidn.MorningNoonAfternoonMidn. h121...11121...1112 K01...1101...110 H01...111213...230 k241...111213...2324","ref":"Cldr.DateTime.Formatter.html","title":"Cldr.DateTime.Formatter","type":"module"},{"doc":"Returns the cyclic year (format symbol U) name for non-gregorian calendars. NOTE: In the current implementation, the cyclic year is delegated to Cldr.DateTime.Formatter.year/3 (format symbol y) and does not return a localized cyclic year. Format Symbol SymbolExampleCldr Format U, UU, UUU&quot;甲子&quot;Abbreviated UUUU&quot;甲子&quot; (for now)Wide UUUUU&quot;甲子&quot; (for now)Narrow Calendars such as the Chinese lunar calendar (and related calendars) and the Hindu calendars use 60-year cycles of year names. If the calendar does not provide cyclic year name data, or if the year value to be formatted is out of the range of years for which cyclic name data is provided, then numeric formatting is used (behaves like format symbol y). Currently the CLDR data only provides abbreviated names, which will be used for all requested name widths.","ref":"Cldr.DateTime.Formatter.html#cyclic_year/3","title":"Cldr.DateTime.Formatter.cyclic_year/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#cyclic_year/5","title":"Cldr.DateTime.Formatter.cyclic_year/5","type":"function"},{"doc":"Returns a formatted date. DateTime formats are defined in CLDR using substitution rules whereby the Date and/or Time are substituted into a format string. Therefore this function crafts a date format string which is then inserted into the overall format being requested.","ref":"Cldr.DateTime.Formatter.html#date/3","title":"Cldr.DateTime.Formatter.date/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#date/5","title":"Cldr.DateTime.Formatter.date/5","type":"function"},{"doc":"Returns the weekday name (format symbol E) as an string. Arguments date is a Date struct or any map that contains at least the keys :year, :month, :day and :calendar n in an integer between 1 and 6 that determines the format of the day of week locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in day_name/4 Format Symbol The representation of the day name is made in accordance with the following table: SymbolExampleCldr Format E, EE, EEE&quot;Tue&quot;Abbreviated EEEE&quot;Tuesday&quot;Wide EEEEE&quot;T&quot;Narrow EEEEEE&quot;Tu&quot;Short Examples iex&gt; Cldr.DateTime.Formatter.day_name ~D[2017-08-15], 6 &quot;Tu&quot; iex&gt; Cldr.DateTime.Formatter.day_name ~D[2017-08-15], 5 &quot;T&quot; iex&gt; Cldr.DateTime.Formatter.day_name ~D[2017-08-15], 4 &quot;Tuesday&quot; iex&gt; Cldr.DateTime.Formatter.day_name ~D[2017-08-15], 3 &quot;Tue&quot; iex&gt; Cldr.DateTime.Formatter.day_name ~D[2017-08-15], 2 &quot;Tue&quot; iex&gt; Cldr.DateTime.Formatter.day_name ~D[2017-08-15], 1 &quot;Tue&quot;","ref":"Cldr.DateTime.Formatter.html#day_name/3","title":"Cldr.DateTime.Formatter.day_name/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#day_name/5","title":"Cldr.DateTime.Formatter.day_name/5","type":"function"},{"doc":"Returns the day of the month (symbol d) as an integer. Arguments date is a Date struct or any map that contains at least the keys :year, :month, :day and :calendar n in an integer between 1 and 2 that determines the format of the day of month locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in day_of_month/4 Format Symbol The representation of the day of the month is made in accordance with the following table. Note that ddd is not part of the CLDR standard. SymbolExampleCldr Format d2, 22 dd02, 22 ddd2nd, 22nd Examples iex&gt; Cldr.DateTime.Formatter.day_of_month ~D[2017-01-04], 1 4 iex&gt; Cldr.DateTime.Formatter.day_of_month ~D[2017-01-04], 2 &quot;04&quot; iex&gt; Cldr.DateTime.Formatter.day_of_month ~D[2017-01-04], 3 &quot;4th&quot;","ref":"Cldr.DateTime.Formatter.html#day_of_month/3","title":"Cldr.DateTime.Formatter.day_of_month/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#day_of_month/5","title":"Cldr.DateTime.Formatter.day_of_month/5","type":"function"},{"doc":"Returns the local day of week (format symbol e) as a number or name. Arguments date is a Date struct or any map that contains at least the keys :year, :month, :day and :calendar n in an integer between 1 and 6 that determines the format of the day of week locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in day_of_week/4 Notes Returns the same as format symbol E except that it adds a numeric value that will depend on the local starting day of the week. Format Symbol The representation of the time period is made in accordance with the following table: SymbolExampleCldr Format e2Single digit ee&quot;02&quot;Two digits eee&quot;Tue&quot;Abbreviated eeee&quot;Tuesday&quot;Wide eeeee&quot;T&quot;Narrow eeeeee&quot;Tu&quot;Short Examples iex&gt; Cldr.DateTime.Formatter.day_of_week ~D[2017-08-15], 3 &quot;Tue&quot; iex&gt; Cldr.DateTime.Formatter.day_of_week ~D[2017-08-15], 4 &quot;Tuesday&quot; iex&gt; Cldr.DateTime.Formatter.day_of_week ~D[2017-08-15], 5 &quot;T&quot; iex&gt; Cldr.DateTime.Formatter.day_of_week ~D[2017-08-15], 6 &quot;Tu&quot; iex&gt; Cldr.DateTime.Formatter.day_of_week ~D[2017-08-15], 1 &quot;2&quot; iex&gt; Cldr.DateTime.Formatter.day_of_week ~D[2017-08-15], 2 &quot;02&quot;","ref":"Cldr.DateTime.Formatter.html#day_of_week/3","title":"Cldr.DateTime.Formatter.day_of_week/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#day_of_week/5","title":"Cldr.DateTime.Formatter.day_of_week/5","type":"function"},{"doc":"Returns the day of the year (symbol D) as an integer in string format. Arguments date is a Date struct or any map that contains at least the keys :year, :month, :day and :calendar n in an integer between 1 and 3 that determines the format of the day of year locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in day_of_year/4 Format Symbol The representation of the day of the year is made in accordance with the following table: SymbolExampleCldr Format D3, 33, 333 DD03, 33, 333 DDD003, 033, 333 Examples iex&gt; Cldr.DateTime.Formatter.day_of_year ~D[2017-01-15], 1 &quot;15&quot; iex&gt; Cldr.DateTime.Formatter.day_of_year ~D[2017-01-15], 2 &quot;15&quot; iex&gt; Cldr.DateTime.Formatter.day_of_year ~D[2017-01-15], 3 &quot;015&quot;","ref":"Cldr.DateTime.Formatter.html#day_of_year/3","title":"Cldr.DateTime.Formatter.day_of_year/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#day_of_year/5","title":"Cldr.DateTime.Formatter.day_of_year/5","type":"function"},{"doc":"Returns the era (format symbol G) of a date for given locale. Arguments date is a Date struct or any map that contains at least the keys :month and :calendar n in an integer between 1 and 5 that determines the format of the year locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. The only applicable option is :era with a value of either nil (the default) or :variant which will return the variant form of an era if one is available. Format Symbol The representation of the era is made in accordance with the following table: SymbolExampleCldr Format G, GG, GGG&quot;AD&quot;Abbreviated GGGG&quot;Anno DominiWide GGGGG&quot;A&quot;Narrow Examples iex&gt; Cldr.DateTime.Formatter.era ~D[2017-12-01], 1 &quot;AD&quot; iex&gt; Cldr.DateTime.Formatter.era ~D[2017-12-01], 4, &quot;fr&quot;, MyApp.Cldr &quot;après Jésus-Christ&quot;","ref":"Cldr.DateTime.Formatter.html#era/3","title":"Cldr.DateTime.Formatter.era/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#era/5","title":"Cldr.DateTime.Formatter.era/5","type":"function"},{"doc":"Returns the Extended year (format symbol u). Arguments date is a Date struct or any map that contains at least the keys :month and :calendar n in an integer between 1 and 5 that determines the format of the year locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in weeK_aligned_year/4 NOTE: This current implementation always returns the year provided in the supplied date. This means u returns the same result as the format y. Format Symbol SymbolExampleCldr Format u+4601Minimim necessary digits This is a single number designating the year of this calendar system, encompassing all supra-year fields. For example, for the Julian calendar system, year numbers are positive, with an era of BCE or CE. An extended year value for the Julian calendar system assigns positive values to CE years and negative values to BCE years, with 1 BCE being year 0. For u, all field lengths specify a minimum number of digits; there is no special interpretation for uu.","ref":"Cldr.DateTime.Formatter.html#extended_year/3","title":"Cldr.DateTime.Formatter.extended_year/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#extended_year/5","title":"Cldr.DateTime.Formatter.extended_year/5","type":"function"},{"doc":"Returns the :second of a time or datetime (format symbol S) as float in string format. The seconds are calculate to include microseconds if they are available. The number of S&#39;s in the format determines the formatting. Arguments time is a Time struct or any map that contains at least the key :second with and optional :microsecond key of the format used by Time n is the number of fractional digits to which the float number of seconds is rounded locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in fractional_second/4 Format Symbol The representation of the second is made in accordance with the following table: SymbolResultsDescription S&quot;4.0&quot;Minimim digits of fractional seconds SS&quot;4.00&quot;Number of seconds zero-padded to 2 fractional digits SSS&quot;4.002&quot;Number of seconds zero-padded to 3 fractional digits Examples iex&gt; Cldr.DateTime.Formatter.fractional_second %{second: 4, microsecond: {2000, 3}}, 1 &quot;4.0&quot; iex&gt; Cldr.DateTime.Formatter.fractional_second %{second: 4, microsecond: {2000, 3}}, 3 &quot;4.002&quot; iex&gt; Cldr.DateTime.Formatter.fractional_second %{second: 4}, 1 &quot;4&quot;","ref":"Cldr.DateTime.Formatter.html#fractional_second/3","title":"Cldr.DateTime.Formatter.fractional_second/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#fractional_second/5","title":"Cldr.DateTime.Formatter.fractional_second/5","type":"function"},{"doc":"Returns the hour formatted in a locale-specific format Arguments time is a Time struct or any map that contains at least the key :hour n is the number of digits to which :hour is padded locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in hour/4 Examples iex&gt; Cldr.DateTime.Formatter.hour ~N[2020-04-25 15:00:00.0] &quot;3&quot; iex&gt; Cldr.DateTime.Formatter.hour ~N[2020-04-25 15:00:00.0], locale: &quot;fr&quot; &quot;15&quot; iex&gt; Cldr.DateTime.Formatter.hour ~N[2020-04-25 15:00:00.0], locale: &quot;en-AU&quot; &quot;3&quot; iex&gt; Cldr.DateTime.Formatter.hour ~N[2020-04-25 15:00:00.0], locale: &quot;en-AU-u-hc-h23&quot; &quot;15&quot;","ref":"Cldr.DateTime.Formatter.html#hour/3","title":"Cldr.DateTime.Formatter.hour/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#hour/5","title":"Cldr.DateTime.Formatter.hour/5","type":"function"},{"doc":"Returns the formatting of the :hour (format symbol K) as a number in the range 0..11 as a string. Arguments time is a Time struct or any map that contains at least the key :hour n is the number of digits to which :hour is padded locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in hour_0_11/4 Format Symbol The representation of the hour is made in accordance with the following table: SymbolMidn.MorningNoonAfternoonMidn. K01...1101...110 Examples iex&gt; Cldr.DateTime.Formatter.hour_0_11 %{hour: 0} &quot;0&quot; iex&gt; Cldr.DateTime.Formatter.hour_0_11 %{hour: 12} &quot;0&quot; iex&gt; Cldr.DateTime.Formatter.hour_0_11 %{hour: 24} &quot;0&quot; iex&gt; Cldr.DateTime.Formatter.hour_0_11 %{hour: 23} &quot;11&quot; iex&gt; Cldr.DateTime.Formatter.hour_0_11 %{hour: 11} &quot;11&quot; iex&gt; Cldr.DateTime.Formatter.hour_0_11 %{hour: 9} &quot;9&quot;","ref":"Cldr.DateTime.Formatter.html#hour_0_11/3","title":"Cldr.DateTime.Formatter.hour_0_11/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#hour_0_11/5","title":"Cldr.DateTime.Formatter.hour_0_11/5","type":"function"},{"doc":"Returns the formatting of the :hour (format symbol H) as a number in the range 0..23 as a string. Arguments time is a Time struct or any map that contains at least the key :hour n is the number of digits to which :hour is padded locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in hour_0_23/4 Format Symbol The representation of the hour is made in accordance with the following table: SymbolMidn.MorningNoonAfternoonMidn. H01...111213...230 Examples: iex&gt; Cldr.DateTime.Formatter.hour_0_23 %{hour: 10} &quot;10&quot; iex&gt; Cldr.DateTime.Formatter.hour_0_23 %{hour: 13} &quot;13&quot; iex&gt; Cldr.DateTime.Formatter.hour_0_23 %{hour: 21} &quot;21&quot; iex&gt; Cldr.DateTime.Formatter.hour_0_23 %{hour: 24} &quot;0&quot; iex&gt; Cldr.DateTime.Formatter.hour_0_23 %{hour: 0} &quot;0&quot;","ref":"Cldr.DateTime.Formatter.html#hour_0_23/3","title":"Cldr.DateTime.Formatter.hour_0_23/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#hour_0_23/5","title":"Cldr.DateTime.Formatter.hour_0_23/5","type":"function"},{"doc":"Returns the formatting of the :hour (format symbol h) as a number in the range 1..12 as a string. Arguments time is a Time struct or any map that contains at least the key :hour n is the number of digits to which :hour is padded locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in hour_1_12/4 Format Symbol The representation of the hour is made in accordance with the following table: SymbolMidn.MorningNoonAfternoonMidn. h121...11121...1112 Examples iex&gt; Cldr.DateTime.Formatter.hour_1_12 %{hour: 0} &quot;12&quot; iex&gt; Cldr.DateTime.Formatter.hour_1_12 %{hour: 12} &quot;12&quot; iex&gt; Cldr.DateTime.Formatter.hour_1_12 %{hour: 24} &quot;12&quot; iex&gt; Cldr.DateTime.Formatter.hour_1_12 %{hour: 11} &quot;11&quot; iex&gt; Cldr.DateTime.Formatter.hour_1_12 %{hour: 23} &quot;11&quot;","ref":"Cldr.DateTime.Formatter.html#hour_1_12/3","title":"Cldr.DateTime.Formatter.hour_1_12/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#hour_1_12/5","title":"Cldr.DateTime.Formatter.hour_1_12/5","type":"function"},{"doc":"Returns the formatting of the :hour (format symbol k) as a number in the range 1..24 as a string. Arguments time is a Time struct or any map that contains at least the key :hour n is the number of digits to which :hour is padded locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in hour_1_24/4 Format Symbol The representation of the hour is made in accordance with the following table: SymbolMidn.MorningNoonAfternoonMidn. k241...111213...2324 Examples iex(4)&gt; Cldr.DateTime.Formatter.hour_1_24 %{hour: 0} &quot;24&quot; iex(5)&gt; Cldr.DateTime.Formatter.hour_1_24 %{hour: 12} &quot;12&quot; iex(6)&gt; Cldr.DateTime.Formatter.hour_1_24 %{hour: 13} &quot;13&quot; iex(7)&gt; Cldr.DateTime.Formatter.hour_1_24 %{hour: 9} &quot;9&quot; iex(8)&gt; Cldr.DateTime.Formatter.hour_1_24 %{hour: 24} &quot;24&quot;","ref":"Cldr.DateTime.Formatter.html#hour_1_24/3","title":"Cldr.DateTime.Formatter.hour_1_24/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#hour_1_24/5","title":"Cldr.DateTime.Formatter.hour_1_24/5","type":"function"},{"doc":"Returns a literal. Example iex&gt; Cldr.DateTime.Formatter.literal %{time_zone: ...&gt; &quot;Etc/UTC&quot;, utc_offset: 0, std_offset: 0}, &quot;A literal&quot; &quot;A literal&quot;","ref":"Cldr.DateTime.Formatter.html#literal/3","title":"Cldr.DateTime.Formatter.literal/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#literal/5","title":"Cldr.DateTime.Formatter.literal/5","type":"function"},{"doc":"Returns the time (format symbol A) as millisenconds since midnight. Arguments time is a Time struct or any map that contains at least the key :second with and optional :microsecond key of the format used by Time n is the number of fractional digits to which the float number of seconds is rounded locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in millisecond/4 Format Symbol The representation of the milliseconds is made in accordance with the following table: SymbolResultsDescription A+&quot;4000&quot;Minimum necessary digits of milliseconds since midnight Examples iex&gt; Cldr.DateTime.Formatter.millisecond %{hour: 0, minute: 0, ...&gt; second: 4, microsecond: {2000, 3}}, 1 &quot;4002&quot; iex&gt; Cldr.DateTime.Formatter.millisecond %{hour: 0, minute: 0, second: 4}, 1 &quot;4000&quot; iex&gt; Cldr.DateTime.Formatter.millisecond %{hour: 10, minute: 10, second: 4}, 1 &quot;36604000&quot; iex&gt; Cldr.DateTime.Formatter.millisecond ~T[07:35:13.215217] &quot;27313215&quot;","ref":"Cldr.DateTime.Formatter.html#millisecond/3","title":"Cldr.DateTime.Formatter.millisecond/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#millisecond/5","title":"Cldr.DateTime.Formatter.millisecond/5","type":"function"},{"doc":"Returns the :minute of a time or datetime (format symbol m) as number in string format. The number of m&#39;s in the format determines the formatting. Arguments time is a Time struct or any map that contains at least the key :minute n is the number of digits to which :minute is padded locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in minute/4 Format Symbol The representation of the minute is made in accordance with the following table: SymbolResultsDescription m3, 10Minimim digits of minutes mm&quot;03&quot;, &quot;12&quot;Number of minutes zero-padded to 2 digits Examples iex&gt; Cldr.DateTime.Formatter.minute %{minute: 3}, 1 3 iex&gt; Cldr.DateTime.Formatter.minute %{minute: 3}, 2 &quot;03&quot;","ref":"Cldr.DateTime.Formatter.html#minute/3","title":"Cldr.DateTime.Formatter.minute/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#minute/5","title":"Cldr.DateTime.Formatter.minute/5","type":"function"},{"doc":"Returns the month (format symbol M) of a date for given locale. Arguments date is a Date struct or any map that contains at least the keys :month and :calendar n in an integer between 1 and 5 that determines the format of the month locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in month/4 Format Symbol The representation of the month is made in accordance with the following table: SymbolExampleCldr Format M9Single digit MM&quot;09&quot;Two digits MMM&quot;Sep&quot;Abbreviated MMMM&quot;September&quot;Wide MMMMM&quot;S&quot;Narrow Examples iex&gt; Cldr.DateTime.Formatter.month ~D[2019-09-08] 9 iex&gt; Cldr.DateTime.Formatter.month ~D[2019-09-08], 2 &quot;09&quot; iex&gt; Cldr.DateTime.Formatter.month ~D[2019-09-08], 3 &quot;Sep&quot; iex&gt; Cldr.DateTime.Formatter.month ~D[2019-09-08], 4 &quot;September&quot; iex&gt; Cldr.DateTime.Formatter.month ~D[2019-09-08], 5 &quot;S&quot;","ref":"Cldr.DateTime.Formatter.html#month/3","title":"Cldr.DateTime.Formatter.month/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#month/5","title":"Cldr.DateTime.Formatter.month/5","type":"function"},{"doc":"Returns a localised version of am or pm (format symbol a). Arguments time is a Time struct or any map that contains at least the key :second n in an integer between 1 and 5 that determines the format of the time period locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. The available option is period: :variant which will use a veriant of localised &quot;am&quot; or &quot;pm&quot; if one is available Notes May be upper or lowercase depending on the locale and other options. The wide form may be the same as the short form if the “real” long form (eg ante meridiem) is not customarily used. Format Symbol The representation of the time period is made in accordance with the following table: SymbolExampleCldr Format a, aa, aaa&quot;am.&quot;Abbreviated aaaa&quot;am.&quot;Wide aaaaa&quot;am&quot;Narrow Examples iex&gt; Cldr.DateTime.Formatter.period_am_pm %{hour: 0, minute: 0} &quot;AM&quot; iex&gt; Cldr.DateTime.Formatter.period_am_pm %{hour: 3, minute: 0} &quot;AM&quot; iex&gt; Cldr.DateTime.Formatter.period_am_pm %{hour: 13, minute: 0} &quot;PM&quot; iex&gt; Cldr.DateTime.Formatter.period_am_pm %{hour: 21, minute: 0} &quot;PM&quot;","ref":"Cldr.DateTime.Formatter.html#period_am_pm/3","title":"Cldr.DateTime.Formatter.period_am_pm/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#period_am_pm/5","title":"Cldr.DateTime.Formatter.period_am_pm/5","type":"function"},{"doc":"Returns the formatting of the time period as a string, for example at night (format symbol B). Arguments time is a Time struct or any map that contains at least the key :second n in an integer between 1 and 5 that determines the format of the time period locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. The available option is period: :variant which will use a veriant of localised flexible time period names if one is available Notes The time period may be upper or lowercase depending on the locale and other options. Often there is only one width that is customarily used. Format Symbol The representation of the time period is made in accordance with the following table: SymbolExampleCldr Format B, BB, BBB&quot;at night&quot;Abbreviated BBBB&quot;at night&quot;Wide BBBBB&quot;at night&quot;Narrow Examples iex&gt; Cldr.DateTime.Formatter.period_flex %{hour: 11, minute: 5, second: 23} &quot;in the morning&quot; iex&gt; Cldr.DateTime.Formatter.period_flex %{hour: 16, minute: 5, second: 23} &quot;in the afternoon&quot; iex&gt; Cldr.DateTime.Formatter.period_flex %{hour: 23, minute: 5, second: 23} &quot;at night&quot;","ref":"Cldr.DateTime.Formatter.html#period_flex/3","title":"Cldr.DateTime.Formatter.period_flex/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#period_flex/5","title":"Cldr.DateTime.Formatter.period_flex/5","type":"function"},{"doc":"Returns the formatting of the time period as either noon, midnight or am/pm (format symbol &#39;b&#39;). Arguments time is a Time struct or any map that contains at least the key :second n in an integer between 1 and 5 that determines the format of the time period locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. The available option is period: :variant which will use a variant of localised &quot;noon&quot; and &quot;midnight&quot; if one is available Notes If the langauge doesn&#39;t support &quot;noon&quot; or &quot;midnight&quot; then am/pm is used for all time periods. May be upper or lowercase depending on the locale and other options. If the locale doesn&#39;t have the notion of a unique noon == 12:00, then the PM form may be substituted. Similarly for midnight == 00:00 and the AM form. Format Symbol The representation of the time period is made in accordance with the following table: SymbolExampleCldr Format b, bb, bbb&quot;mid.&quot;Abbreviated bbbb&quot;midnight&quot;Wide bbbbb&quot;md&quot;Narrow Examples iex&gt; Cldr.DateTime.Formatter.period_noon_midnight %{hour: 12, minute: 0} &quot;noon&quot; iex&gt; Cldr.DateTime.Formatter.period_noon_midnight %{hour: 0, minute: 0} &quot;midnight&quot; iex&gt; Cldr.DateTime.Formatter.period_noon_midnight %{hour: 11, minute: 0} &quot;in the morning&quot; iex&gt; Cldr.DateTime.Formatter.period_noon_midnight %{hour: 16, minute: 0} &quot;PM&quot;","ref":"Cldr.DateTime.Formatter.html#period_noon_midnight/3","title":"Cldr.DateTime.Formatter.period_noon_midnight/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#period_noon_midnight/5","title":"Cldr.DateTime.Formatter.period_noon_midnight/5","type":"function"},{"doc":"Returns the quarter (format symbol Q) of a date for given locale. Arguments date is a Date struct or any map that contains at least the keys :month and :calendar n in an integer between 1 and 5 that determines the format of the quarter locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in quarter/5 Format Symbol The representation of the quarter is made in accordance with the following table: SymbolExampleCldr Format Q2Single digit QQ&quot;02&quot;Two digits QQQ&quot;Q2&quot;Abbreviated QQQQ&quot;2nd quarter&quot;Wide QQQQQ&quot;2&quot;Narrow Examples iex&gt; Cldr.DateTime.Formatter.quarter ~D[2017-04-01], 1 2 iex&gt; Cldr.DateTime.Formatter.quarter ~D[2017-04-01], 2 &quot;02&quot; iex&gt; Cldr.DateTime.Formatter.quarter ~D[2017-04-01], 3 &quot;Q2&quot; iex&gt; Cldr.DateTime.Formatter.quarter ~D[2017-04-01], 4 &quot;2nd quarter&quot; iex&gt; Cldr.DateTime.Formatter.quarter ~D[2017-04-01], 5 &quot;2&quot;","ref":"Cldr.DateTime.Formatter.html#quarter/3","title":"Cldr.DateTime.Formatter.quarter/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#quarter/5","title":"Cldr.DateTime.Formatter.quarter/5","type":"function"},{"doc":"Returns the related gregorian year (format symbol r) of a date for given locale. Arguments date is a Date struct or any map that contains at least the keys :month and :calendar n in an integer between 1 and 5 that determines the format of the quarter locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in related_year/4 Format Symbol The representation of the related year is made in accordance with the following table: SymbolExampleCldr Format r+2017 This corresponds to the extended Gregorian year in which the calendar’s year begins. Related Gregorian years are often displayed, for example, when formatting dates in the Japanese calendar — e.g. “2012(平成24)年1月15日” — or in the Chinese calendar — e.g. “2012壬辰年腊月初四”. The related Gregorian year is usually displayed using the &quot;:latn&quot; numbering system, regardless of what numbering systems may be used for other parts of the formatted date. If the calendar’s year is linked to the solar year (perhaps using leap months), then for that calendar the ‘r’ year will always be at a fixed offset from the ‘u’ year. For the Gregorian calendar, the ‘r’ year is the same as the ‘u’ year. For ‘r’, all field lengths specify a minimum number of digits; there is no special interpretation for “rr”.","ref":"Cldr.DateTime.Formatter.html#related_year/3","title":"Cldr.DateTime.Formatter.related_year/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#related_year/5","title":"Cldr.DateTime.Formatter.related_year/5","type":"function"},{"doc":"Returns the :second of a time or datetime (format symbol s) as number in string format. The number of s&#39;s in the format determines the formatting. Arguments time is a Time struct or any map that contains at least the key :second n is the number of digits to which :hour is padded locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in second/4 Format Symbol The representation of the second is made in accordance with the following table: SymbolResultsDescription s3, 48Minimim digits of seconds ss&quot;03&quot;, &quot;48&quot;Number of seconds zero-padded to 2 digits Examples iex&gt; Cldr.DateTime.Formatter.second %{second: 23}, 1 &quot;23&quot; iex&gt; Cldr.DateTime.Formatter.second %{second: 4}, 2 &quot;04&quot;","ref":"Cldr.DateTime.Formatter.html#second/3","title":"Cldr.DateTime.Formatter.second/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#second/5","title":"Cldr.DateTime.Formatter.second/5","type":"function"},{"doc":"Returns the stand-alone local day (format symbol c) of week number/name. Arguments date is a Date struct or any map that contains at least the keys :year, :month, :day and :calendar n in an integer between 1 and 6 that determines the format of the day of week locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in standalone_day_of_week/4 Notes This is the same as weekday_number/4 except that it is intended for use without the associated d format symbol. Format Symbol The representation of the time period is made in accordance with the following table: SymbolExampleCldr Format c, cc2Single digit ccc&quot;Tue&quot;Abbreviated cccc&quot;Tuesday&quot;Wide ccccc&quot;T&quot;Narrow cccccc&quot;Tu&quot;Short Examples iex&gt; Cldr.DateTime.Formatter.standalone_day_of_week ~D[2017-08-15], 3 &quot;Tue&quot; iex&gt; Cldr.DateTime.Formatter.standalone_day_of_week ~D[2017-08-15], 4 &quot;Tuesday&quot; iex&gt; Cldr.DateTime.Formatter.standalone_day_of_week ~D[2017-08-15], 5 &quot;T&quot; iex&gt; Cldr.DateTime.Formatter.standalone_day_of_week ~D[2017-08-15], 6 &quot;Tu&quot;","ref":"Cldr.DateTime.Formatter.html#standalone_day_of_week/3","title":"Cldr.DateTime.Formatter.standalone_day_of_week/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#standalone_day_of_week/5","title":"Cldr.DateTime.Formatter.standalone_day_of_week/5","type":"function"},{"doc":"Returns the month (symbol L) in standalone format which is intended to formatted without an accompanying day (d). Arguments date is a Date struct or any map that contains at least the keys :month and :calendar n in an integer between 1 and 5 that determines the format of the month locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in standalone_month/4 Format Symbol The representation of the standalone month is made in accordance with the following table: SymbolExampleCldr Format L9Single digit LL&quot;09&quot;Two digits LLL&quot;Sep&quot;Abbreviated LLLL&quot;September&quot;Wide LLLLL&quot;S&quot;Narrow Examples iex&gt; Cldr.DateTime.Formatter.standalone_month ~D[2019-09-08] 9 iex&gt; Cldr.DateTime.Formatter.standalone_month ~D[2019-09-08], 2 &quot;09&quot; iex&gt; Cldr.DateTime.Formatter.standalone_month ~D[2019-09-08], 3 &quot;Sep&quot; iex&gt; Cldr.DateTime.Formatter.standalone_month ~D[2019-09-08], 4 &quot;September&quot; iex&gt; Cldr.DateTime.Formatter.standalone_month ~D[2019-09-08], 5 &quot;S&quot;","ref":"Cldr.DateTime.Formatter.html#standalone_month/3","title":"Cldr.DateTime.Formatter.standalone_month/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#standalone_month/5","title":"Cldr.DateTime.Formatter.standalone_month/5","type":"function"},{"doc":"Returns the standalone quarter (format symbol a) of a date for given locale. Arguments date is a Date struct or any map that contains at least the keys :month and :calendar n in an integer between 1 and 5 that determines the format of the quarter locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in standalone_quarter/5 Format Symbol The representation of the quarter is made in accordance with the following table: SymbolExampleCldr Format q2Single digit qq&quot;02&quot;Two digits qqq&quot;Q2&quot;Abbreviated qqqq&quot;2nd quarter&quot;Wide qqqqq&quot;2&quot;Narrow Examples iex&gt; Cldr.DateTime.Formatter.standalone_quarter ~D[2019-06-08], 1 2 iex&gt; Cldr.DateTime.Formatter.standalone_quarter ~D[2019-06-08], 2 &quot;02&quot; iex&gt; Cldr.DateTime.Formatter.standalone_quarter ~D[2019-06-08], 3 &quot;Q2&quot; iex&gt; Cldr.DateTime.Formatter.standalone_quarter ~D[2019-06-08], 4 &quot;2nd quarter&quot; iex&gt; Cldr.DateTime.Formatter.standalone_quarter ~D[2019-06-08], 5 &quot;2&quot;","ref":"Cldr.DateTime.Formatter.html#standalone_quarter/3","title":"Cldr.DateTime.Formatter.standalone_quarter/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#standalone_quarter/5","title":"Cldr.DateTime.Formatter.standalone_quarter/5","type":"function"},{"doc":"Returns a formatted time. DateTime formats are defined in CLDR using substitution rules whereby the Date and/or Time are substituted into a format string. Therefore this function crafts a time format string which is then inserted into the overall format being requested.","ref":"Cldr.DateTime.Formatter.html#time/3","title":"Cldr.DateTime.Formatter.time/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#time/5","title":"Cldr.DateTime.Formatter.time/5","type":"function"},{"doc":"Returns the year (format symbol Y) in “Week of Year” based calendars in which the year transition occurs on a week boundary. Arguments date is a Date struct or any map that contains at least the keys :month and :calendar n in an integer between 1 and 5 that determines the format of the year locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in weeK_aligned_year/4 Format Symbol The representation of the year is made in accordance with the following table: SymbolExampleCldr Format Y7Minimum necessary digits YY&quot;17&quot;Least significant 2 digits YYY&quot;017&quot;, &quot;2017&quot;Padded to at least 3 digits YYYY&quot;2017&quot;Padded to at least 4 digits YYYYY&quot;02017&quot;Padded to at least 5 digits The result may differ from calendar year ‘y’ near a year transition. This numeric year designation is used in conjunction with pattern character ‘w’ in the ISO year-week calendar as defined by ISO 8601, but can be used in non-Gregorian based calendar systems where week date processing is desired. The field length is interpreted in the same was as for y; that is, yy specifies use of the two low-order year digits, while any other field length specifies a minimum number of digits to display. Examples iex&gt; Cldr.DateTime.Formatter.week_aligned_year ~D[2017-01-04], 1 &quot;2017&quot; iex&gt; Cldr.DateTime.Formatter.week_aligned_year ~D[2017-01-04], 2 &quot;17&quot; iex&gt; Cldr.DateTime.Formatter.week_aligned_year ~D[2017-01-04], 3 &quot;2017&quot; iex&gt; Cldr.DateTime.Formatter.week_aligned_year ~D[2017-01-04], 4 &quot;2017&quot; iex&gt; Cldr.DateTime.Formatter.week_aligned_year ~D[2017-01-04], 5 &quot;02017&quot;","ref":"Cldr.DateTime.Formatter.html#week_aligned_year/3","title":"Cldr.DateTime.Formatter.week_aligned_year/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#week_aligned_year/5","title":"Cldr.DateTime.Formatter.week_aligned_year/5","type":"function"},{"doc":"Returns the week of the month (format symbol W) as an integer. Arguments date is a Date struct or any map that contains at least the keys :year, :month, :day and :calendar n in an integer between that should be between 1 and 4 that determines the format of the week of the month locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in week_of_month/4 Format Symbol The representation of the week of the month is made in accordance with the following table: SymbolExampleCldr Format W2 Examples iex&gt; import Cldr.Calendar.Sigils Cldr.Calendar.Sigils iex&gt; Cldr.DateTime.Formatter.week_of_month ~D[2019-01-07], 1 &quot;2&quot; iex&gt; Cldr.DateTime.Formatter.week_of_month ~d[2019-W04-1], 1 &quot;4&quot;","ref":"Cldr.DateTime.Formatter.html#week_of_month/3","title":"Cldr.DateTime.Formatter.week_of_month/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#week_of_month/5","title":"Cldr.DateTime.Formatter.week_of_month/5","type":"function"},{"doc":"Returns the week of the year (symbol w) as an integer. Arguments date is a Date struct or any map that contains at least the keys :year, :month, :day and :calendar n in an integer between 1 and 2 that determines the format of the week of the year locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in week_of_year/4 Notes Determining the week of the year is influenced by two factors: The calendar in use. For example the ISO calendar (which is the default calendar in Elixir) follows the ISO standard in which the first week of the year is the week containing the first thursday of the year. The territory in use. For example, in the US the first week of the year is the week containing January 1st whereas many territories follow the ISO standard. Format Symbol The representation of the day of the year is made in accordance with the following table: SymbolExampleCldr Format w2, 22 ww02, 22 Examples iex&gt; import Cldr.Calendar.Sigils Cldr.Calendar.Sigils iex&gt; Cldr.DateTime.Formatter.week_of_year ~D[2019-01-07], 1 &quot;2&quot; iex&gt; Cldr.DateTime.Formatter.week_of_year ~d[2019-W04-1], 2 &quot;04&quot;","ref":"Cldr.DateTime.Formatter.html#week_of_year/3","title":"Cldr.DateTime.Formatter.week_of_year/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#week_of_year/5","title":"Cldr.DateTime.Formatter.week_of_year/5","type":"function"},{"doc":"Returns the year (format symbol y) of a date as an integer. The y format returns the year as a simple integer in string format. The format yy is a special case which requests just the two low-order digits of the year, zero-padded as necessary. For most use cases, y or yy should be adequate. Arguments date is a Date struct or any map that contains at least the keys :month and :calendar n in an integer between 1 and 5 that determines the format of the year locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in year/4 Format Symbol The representation of the quarter is made in accordance with the following table: SymbolExampleCldr Format y7Minimum necessary digits yy&quot;17&quot;Least significant 2 digits yyy&quot;017&quot;, &quot;2017&quot;Padded to at least 3 digits yyyy&quot;2017&quot;Padded to at least 4 digits yyyyy&quot;02017&quot;Padded to at least 5 digits In most cases the length of the y field specifies the minimum number of digits to display, zero-padded as necessary; more digits will be displayed if needed to show the full year. Examples iex&gt; Cldr.DateTime.Formatter.year %{year: 2017, calendar: Calendar.ISO}, 1 2017 iex&gt; Cldr.DateTime.Formatter.year %{year: 2017, calendar: Calendar.ISO}, 2 &quot;17&quot; iex&gt; Cldr.DateTime.Formatter.year %{year: 2017, calendar: Calendar.ISO}, 3 &quot;2017&quot; iex&gt; Cldr.DateTime.Formatter.year %{year: 2017, calendar: Calendar.ISO}, 4 &quot;2017&quot; iex&gt; Cldr.DateTime.Formatter.year %{year: 2017, calendar: Calendar.ISO}, 5 &quot;02017&quot;","ref":"Cldr.DateTime.Formatter.html#year/3","title":"Cldr.DateTime.Formatter.year/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#year/5","title":"Cldr.DateTime.Formatter.year/5","type":"function"},{"doc":"Returns the basic zone offset (format symbol Z) part of a DateTime or Time, The ISO8601 basic format with hours, minutes and optional seconds fields. The format is equivalent to RFC 822 zone format (when optional seconds field is absent). This is equivalent to the &quot;xxxx&quot; specifier. Arguments time is a Time struct or any map that contains at least the :utc_offset and :std_offset keys of the format used by Time n is the specific non-location timezone format and is in the range 1..4 locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in zone_basic/4 Format Symbol The representation of the timezone is made in accordance with the following table: SymbolResultsDescription Z..ZZZ&quot;+0100&quot;ISO8601 Basic Format with hours and minutes ZZZZ&quot;+01:00&quot;Delegates to `zone_gmt/4 ZZZZZ&quot;+01:00:10&quot;ISO8601 Extended format with optional seconds Examples iex&gt; Cldr.DateTime.Formatter.zone_basic %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3600, std_offset: 0}, 1 &quot;+0100&quot; iex&gt; Cldr.DateTime.Formatter.zone_basic %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 4 &quot;GMT+01:00&quot; iex&gt; Cldr.DateTime.Formatter.zone_basic %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 5 &quot;Z&quot; iex&gt; Cldr.DateTime.Formatter.zone_basic %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 5 &quot;+01:00:10&quot;","ref":"Cldr.DateTime.Formatter.html#zone_basic/3","title":"Cldr.DateTime.Formatter.zone_basic/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#zone_basic/5","title":"Cldr.DateTime.Formatter.zone_basic/5","type":"function"},{"doc":"Returns the generic non-location format of a timezone (format symbol v) from a DateTime or Time. Since Elixir does not provide full time zone support, we return here only the :time_zone element of the provided DateTime or other struct without any localization. Arguments time is a Time struct or any map that contains at least the key :time_zone key of the format used by Time n is the generic non-location timezone format and is either 1 (the default) or 4 locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in zone_generic/4 Format Symbol The representation of the timezone is made in accordance with the following table: SymbolResultsDescription v&quot;Etc/UTC&quot;:time_zone key, unlocalised vvvv&quot;unk&quot;Generic timezone name. Currently returns only &quot;unk&quot; Examples iex&gt; Cldr.DateTime.Formatter.zone_generic %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 4 &quot;GMT&quot; iex&gt; Cldr.DateTime.Formatter.zone_generic %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 1 &quot;Etc/UTC&quot;","ref":"Cldr.DateTime.Formatter.html#zone_generic/3","title":"Cldr.DateTime.Formatter.zone_generic/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#zone_generic/5","title":"Cldr.DateTime.Formatter.zone_generic/5","type":"function"},{"doc":"Returns the short localised GMT offset (format symbol O) part of a DateTime or Time. Arguments time is a Time struct or any map that contains at least the :utc_offset and :std_offset keys of the format used by Time n is the specific non-location timezone format and is in the range 1..4 locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in zone_gmt/4 Format Symbol The representation of the GMT offset is made in accordance with the following table: SymbolResultsDescription O&quot;GMT+1&quot;Short localised GMT format OOOO&quot;GMT+01:00&quot;Long localised GMT format Examples iex&gt; Cldr.DateTime.Formatter.zone_gmt %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 1 &quot;GMT+1&quot; iex&gt; Cldr.DateTime.Formatter.zone_gmt %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 4 &quot;GMT+01:00&quot;","ref":"Cldr.DateTime.Formatter.html#zone_gmt/3","title":"Cldr.DateTime.Formatter.zone_gmt/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#zone_gmt/5","title":"Cldr.DateTime.Formatter.zone_gmt/5","type":"function"},{"doc":"Returns the time zone ID (format symbol V) part of a DateTime or Time For now the short timezone name, exemplar city and generic location formats are not supported and therefore return the fallbacks defined in CLDR. Arguments time is a Time struct or any map that contains at least the :utc_offset and :std_offset keys of the format used by Time n is the specific non-location timezone format and is in the range 1..4 locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in zone_id/4 Format Symbol The representation of the timezone ID is made in accordance with the following table: SymbolResultsDescription V&quot;unk&quot;:zone_abbr key, unlocalised VV&quot;Etc/UTCDelegates to zone_gmt/4 VVV&quot;Unknown City&quot;Examplar city. Not supported. VVVV&quot;GMT&quot;Delegates to `zone_gmt/4 Examples iex&gt; Cldr.DateTime.Formatter.zone_id %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 1 &quot;unk&quot; iex&gt; Cldr.DateTime.Formatter.zone_id %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 2 &quot;Etc/UTC&quot; iex&gt; Cldr.DateTime.Formatter.zone_id %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 3 &quot;Unknown City&quot; iex&gt; Cldr.DateTime.Formatter.zone_id %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 4 &quot;GMT&quot;","ref":"Cldr.DateTime.Formatter.html#zone_id/3","title":"Cldr.DateTime.Formatter.zone_id/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#zone_id/5","title":"Cldr.DateTime.Formatter.zone_id/5","type":"function"},{"doc":"Returns the ISO zone offset (format symbol x) part of a DateTime or Time, This is the ISO8601 format with hours, minutes and optional seconds fields but with no &quot;Z&quot; as the identifier if the timezone offset is 0. Arguments time is a Time struct or any map that contains at least the :utc_offset and :std_offset keys of the format used by Time n is the specific non-location timezone format and is in the range 1..4 locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in zone_iso/4 Format Symbol The representation of the timezone offset is made in accordance with the following table: SymbolResultsDescription x&quot;+0100&quot;ISO8601 Basic Format with hours and optional minutes xx&quot;-0800&quot;ISO8601 Basic Format with hours and minutes xxx&quot;+01:00&quot;ISO8601 Extended Format with hours and minutes xxxx&quot;+010059&quot;ISO8601 Basic Format with hours and minutes, optional seconds xxxxx&quot;+01:00:10&quot;ISO8601 Extended Format with hours and minutes, optional seconds Examples iex&gt; Cldr.DateTime.Formatter.zone_iso %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 1 &quot;+01&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 2 &quot;+0100&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 3 &quot;+01:00&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 4 &quot;+010010&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 5 &quot;+01:00:10&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 5 &quot;+00:00&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 4 &quot;+0000&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 3 &quot;+00:00&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 2 &quot;+0000&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 1 &quot;+00&quot;","ref":"Cldr.DateTime.Formatter.html#zone_iso/3","title":"Cldr.DateTime.Formatter.zone_iso/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#zone_iso/5","title":"Cldr.DateTime.Formatter.zone_iso/5","type":"function"},{"doc":"Returns the ISO zone offset (format symbol X) part of a DateTime or Time, This is the ISO8601 format with hours, minutes and optional seconds fields with &quot;Z&quot; as the identifier if the timezone offset is 0. Arguments time is a Time struct or any map that contains at least the :utc_offset and :std_offset keys of the format used by Time n is the specific non-location timezone format and is in the range 1..4 locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in zone_iso_z/4 Format Symbol The representation of the timezone offset is made in accordance with the following table: SymbolResultsDescription X&quot;+01&quot;ISO8601 Basic Format with hours and optional minutes or &quot;Z&quot; XX&quot;+0100&quot;ISO8601 Basic Format with hours and minutes or &quot;Z&quot; XXX&quot;+0100&quot;ISO8601 Basic Format with hours and minutes, optional seconds or &quot;Z&quot; XXXX&quot;+010059&quot;ISO8601 Basic Format with hours and minutes, optional seconds or &quot;Z&quot; XXXXX&quot;+01:00:10&quot;ISO8601 Extended Format with hours and minutes, optional seconds or &quot;Z&quot; Examples iex&gt; Cldr.DateTime.Formatter.zone_iso_z %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 1 &quot;+01&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso_z %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 2 &quot;+0100&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso_z %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 3 &quot;+01:00:10&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso_z %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 4 &quot;+010010&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso_z %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 3610, std_offset: 0}, 5 &quot;+01:00:10&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso_z %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 5 &quot;Z&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso_z %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 4 &quot;Z&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso_z %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 3 &quot;Z&quot; iex&gt; Cldr.DateTime.Formatter.zone_iso_z %{time_zone: &quot;Etc/UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 2 &quot;Z&quot;","ref":"Cldr.DateTime.Formatter.html#zone_iso_z/3","title":"Cldr.DateTime.Formatter.zone_iso_z/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#zone_iso_z/5","title":"Cldr.DateTime.Formatter.zone_iso_z/5","type":"function"},{"doc":"Returns the specific non-location format of a timezone (format symbol z) from a DateTime or Time. Since Elixir does not provide full time zone support, we return here only the :time_zone element of the provided DateTime or other struct without any localization. Arguments time is a Time struct or any map that contains at least the :zone_abbr, :utc_offset and :std_offset keys of the format used by Time n is the specific non-location timezone format and is in the range 1..4 locale is any valid locale name returned by Cldr.known_locale_names/0 or a Cldr.LanguageTag struct. The default is Cldr.get_locale/0 options is a Keyword list of options. There are no options used in zone_short/4 Format Symbol The representation of the timezone is made in accordance with the following table: SymbolResultsDescription z..zzz&quot;UTC&quot;:zone_abbr key, unlocalised zzzz&quot;GMT&quot;Delegates to zone_gmt/4 Examples iex&gt; Cldr.DateTime.Formatter.zone_short %{zone_abbr: &quot;UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 1 &quot;UTC&quot; iex&gt; Cldr.DateTime.Formatter.zone_short %{zone_abbr: &quot;UTC&quot;, ...&gt; utc_offset: 0, std_offset: 0}, 4 &quot;GMT&quot;","ref":"Cldr.DateTime.Formatter.html#zone_short/3","title":"Cldr.DateTime.Formatter.zone_short/3","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#zone_short/5","title":"Cldr.DateTime.Formatter.zone_short/5","type":"function"},{"doc":"","ref":"Cldr.DateTime.Formatter.html#t:locale/0","title":"Cldr.DateTime.Formatter.locale/0","type":"type"},{"doc":"","ref":"Cldr.DateTime.Timezone.html","title":"Cldr.DateTime.Timezone","type":"module"},{"doc":"Converts the time zone offset of a Time or DateTime into seconds.","ref":"Cldr.DateTime.Timezone.html#time_from_zone_offset/1","title":"Cldr.DateTime.Timezone.time_from_zone_offset/1","type":"function"},{"doc":"Exception raised when tokenizing a datetime format.","ref":"Cldr.DateTime.Compiler.ParseError.html","title":"Cldr.DateTime.Compiler.ParseError","type":"exception"},{"doc":"Exception raised when formatting and there is no data for the given format.","ref":"Cldr.DateTime.UnresolvedFormat.html","title":"Cldr.DateTime.UnresolvedFormat","type":"exception"},{"doc":"Exception raised when an attempt is made to use a time unit that is not known. in Cldr.DateTime.Relative.","ref":"Cldr.UnknownTimeUnit.html","title":"Cldr.UnknownTimeUnit","type":"exception"},{"doc":"Date and Time Localization and Formatting","ref":"readme.html","title":"Date and Time Localization and Formatting","type":"extras"},{"doc":"Note that ex_cldr_dates_times requires Elixir 1.8 or later. Add ex_cldr_dates_time as a dependency to your mix project: defp deps do [ {:ex_cldr_dates_times, &quot;~&gt; 2.0&quot;} ] end then retrieve ex_cldr_dates_times from hex: mix deps.get mix deps.compile Configuring a required backend module ex_cldr_dates_times uses the configuration set for the dependency ex_cldr. See the documentation for ex_cldr. A backend module is required that is used to host the functions that manage CLDR data. An example to get started is: Create a backend module (see ex_cldr for details of the available options). Note the requirement to configure the appropriate Cldr provider backends. defmodule MyApp.Cldr do use Cldr, locales: [&quot;en&quot;, &quot;fr&quot;, &quot;ja&quot;], providers: [Cldr.Number, Cldr.Calendar, Cldr.DateTime] end [Optional] Update config.exs configuration to specify this backend as the system default. Not required, but often useful. config :ex_cldr, default_locale: &quot;en&quot;, default_backend: MyApp.Cldr Migration from Cldr.DatesTimes Version 1 In modules where there are calls to Cldr.DateTime.string/2 (or the Date and Time equivalents), add alias MyApp.Cldr to the top of the module. That will ensure that calls are directed to the backend with minimal code change. This is the preferred approach. Alternatively, update any calls to Cldr.Date.to_string/2 to call Cldr.Date.to_string/3 with the second parameter being a backend module. The same applies for migrating to Cldr.DateTime.to_string/3, Cldr.Time.to_string/3 and Cldr.DateTime.Relative.to_string/3. For example: # Change from to_string/2 to to_string/3 # Old version iex&gt; Cldr.DateTime.to_string DateTime.utc_now, format: :short # New version. Note the addition of a backend module as # the second parameter. iex&gt; Cldr.DateTime.to_string DateTime.utc_now, MyApp.Cldr, format: :short","ref":"readme.html#installation","title":"Date and Time Localization and Formatting - Installation","type":"extras"},{"doc":"ex_cldr_dates_times is an addon library application for ex_cldr that provides localisation and formatting for dates, times and date_times. The primary api is MyApp.Cldr.Date.to_string/2, MyApp.Cldr.Time.to_string/2, MyApp.Cldr.DateTime.to_string/2 and MyApp.Cldr.DateTime.Relative.to_string/2. In the following examples MyApp refers to a CLDR backend module that must be defined by the developer: iex&gt; MyApp.Cldr.Date.to_string Date.utc_today() {:ok, &quot;Jun 9, 2019&quot;} iex&gt; MyApp.Cldr.Time.to_string Time.utc_now {:ok, &quot;12:11:14 AM&quot;} iex&gt; MyApp.Cldr.DateTime.to_string DateTime.utc_now {:ok, &quot;Jun 9, 2019, 12:11:24 AM&quot;} # Note that if options are provided, a backend # module is also required iex&gt; MyApp.Cldr.DateTime.Relative.to_string 1, unit: :day, format: :narrow {:ok, &quot;tomorrow&quot;} For help in iex: iex&gt; h MyApp.Cldr.Date.to_string iex&gt; h MyApp.Cldr.Time.to_string iex&gt; h MyApp.Cldr.DateTime.to_string iex&gt; h MyApp.Cldr.DateTime.Relative.to_string","ref":"readme.html#usage-introduction","title":"Date and Time Localization and Formatting - Usage Introduction","type":"extras"},{"doc":"Dates, Times and DateTimes can be formatted using: The format types defined for each locale. These format types provide cross-locale standardisation and therefore should be preferred where possible. The format types, implemented for MyApp.Cldr.Date.to_string/2, MyApp.Cldr.Time.to_string/2,MyApp.Cldr.DateTime.to_string/2 are :short, :medium, :long and :full. The default is :medium. For example, assuming a configured backend called MyApp.Cldr: iex&gt; MyApp.Cldr.DateTime.to_string DateTime.utc_now, format: :short {:ok, &quot;6/9/19, 12:13 AM&quot;} iex&gt; MyApp.Cldr.DateTime.to_string DateTime.utc_now, format: :long {:ok, &quot;June 9, 2019 at 12:14:15 AM UTC&quot;} iex&gt; MyApp.Cldr.DateTime.to_string DateTime.utc_now, format: :medium {:ok, &quot;Jun 9, 2019, 12:14:27 AM&quot;} iex&gt; MyApp.Cldr.DateTime.to_string DateTime.utc_now, format: :long, locale: &quot;fr&quot; {:ok, &quot;9 juin 2019 à 00:14:38 UTC&quot;} A user specified format string. A format string uses one or more formatting symbols to define what date and time elements should be places in the format. A simple example to format the time into hours and minutes: iex&gt; MyApp.Cldr.DateTime.to_string DateTime.utc_now, format: &quot;hh:MM&quot; {:ok, &quot;12:06&quot;} For DateTimes there is also a set of predefined format name. These format names are returned by MyApp.Cldr.DateTime.date_time_available_formats/0 (assuming your backend is MyApp.Cldr). The set of common format names across all locales configured in ex_cldr can be returned by Cldr.DateTime.Format.common_date_time_format_names. These format names can be used with the :format paramater to Cldr.DateTime.to_string/2 module only. iex&gt; MyApp.Cldr.DateTime.Format.date_time_available_formats %{mmmm_w_count_one: &quot;&#39;week&#39; W &#39;of&#39; MMMM&quot;, gy_mmm: &quot;MMM y G&quot;, md: &quot;M/d&quot;, mmm_md: &quot;MMMM d&quot;, e_hms: &quot;E HH:mm:ss&quot;, ed: &quot;d E&quot;, y_mmm: &quot;MMM y&quot;, e_hm: &quot;E HH:mm&quot;, mmm_ed: &quot;E, MMM d&quot;, y_mmm_ed: &quot;E, MMM d, y&quot;, gy_mm_md: &quot;MMM d, y G&quot;, mmm: &quot;LLL&quot;, y_md: &quot;M/d/y&quot;, gy: &quot;y G&quot;, hms: &quot;h:mm:ss a&quot;, hm: &quot;h:mm a&quot;, y_mmmm: &quot;MMMM y&quot;, m: &quot;L&quot;, gy_mmm_ed: &quot;E, MMM d, y G&quot;, y_qqq: &quot;QQQ y&quot;, e: &quot;ccc&quot;, y_qqqq: &quot;QQQQ y&quot;, hmsv: &quot;h:mm:ss a v&quot;, mmmm_w_count_other: &quot;&#39;week&#39; W &#39;of&#39; MMMM&quot;, ehm: &quot;E h:mm a&quot;, y_m_ed: &quot;E, M/d/y&quot;, h: &quot;h a&quot;, hmv: &quot;h:mm a v&quot;, yw_count_other: &quot;&#39;week&#39; w &#39;of&#39; y&quot;, mm_md: &quot;MMM d&quot;, y_m: &quot;M/y&quot;, m_ed: &quot;E, M/d&quot;, ms: &quot;mm:ss&quot;, d: &quot;d&quot;, y_mm_md: &quot;MMM d, y&quot;, yw_count_one: &quot;&#39;week&#39; w &#39;of&#39; y&quot;, y: &quot;y&quot;, ehms: &quot;E h:mm:ss a&quot;} # These format types can be invoked for any locale - meaning # these format names are defined for all configured locales. iex&gt; Cldr.DateTime.Format.common_date_time_format_names(MyApp.Cldr) [:gy_mmm, :md, :mmm_md, :e_hms, :ed, :y_mmm, :e_hm, :mmm_ed, :y_mmm_ed, :gy_mm_md, :mmm, :y_md, :gy, :hms, :hm, :y_mmmm, :m, :gy_mmm_ed, :y_qqq, :e, :y_qqqq, :hmsv, :mmmm_w_count_other, :ehm, :y_m_ed, :h, :hmv, :yw_count_other, :mm_md, :y_m, :m_ed, :ms, :d, :y_mm_md, :y, :ehms] iex&gt; Cldr.DateTime.to_string DateTime.utc_now, MyApp.Cldr, format: :gy_mmm_ed {:ok, &quot;Sun, Jun 9, 2019 AD&quot;}","ref":"readme.html#date-time-and-datetime-localization-formatting","title":"Date and Time Localization and Formatting - Date, Time and DateTime Localization Formatting","type":"extras"},{"doc":"The CLDR standard defines a wide range of format symbols. Most - but not all - of these symbols are supported in Cldr. The supported symbols are described below. Note the known restrictions and limitations. ElementSymbolExampleCldr Format EraG, GG, GGG&quot;AD&quot;Abbreviated GGGG&quot;Anno Domini&quot;Wide GGGGG&quot;A&quot;Narrow Yeary7Minimum necessary digits yy&quot;17&quot;Least significant 2 digits yyy&quot;017&quot;, &quot;2017&quot;Padded to at least 3 digits yyyy&quot;2017&quot;Padded to at least 4 digits yyyyy&quot;02017&quot;Padded to at least 5 digits ISOWeek YearY7Minimum necessary digits YY&quot;17&quot;Least significant 2 digits YYY&quot;017&quot;, &quot;2017&quot;Padded to at least 3 digits YYYY&quot;2017&quot;Padded to at least 4 digits YYYYY&quot;02017&quot;Padded to at least 5 digits Related Gregorian Yearr, rr, rr+2017Minimum necessary digits Cyclic YearU, UU, UUU&quot;甲子&quot;Abbreviated UUUU&quot;甲子&quot; (for now)Wide UUUUU&quot;甲子&quot; (for now)Narrow Extended Yearu+4601Minimim necessary digits QuarterQ2Single digit QQ&quot;02&quot;Two digits QQQ&quot;Q2&quot;Abbreviated QQQQ&quot;2nd quarter&quot;Wide QQQQQ&quot;2&quot;Narrow Standalone Quarterq2Single digit qq&quot;02&quot;Two digits qqq&quot;Q2&quot;Abbreviated qqqq&quot;2nd quarter&quot;Wide qqqqq&quot;2&quot;Narrow MonthM9Single digit MM&quot;09&quot;Two digits MMM&quot;Sep&quot;Abbreviated MMMM&quot;September&quot;Wide MMMMM&quot;S&quot;Narrow Standalone MonthL9Single digit LL&quot;09&quot;Two digits LLL&quot;Sep&quot;Abbreviated LLLL&quot;September&quot;Wide LLLLL&quot;S&quot;Narrow Week of Yearw2, 22Single digit ww02, 22Two digits, zero padded Week of MonthW2Single digit. NOT IMPLEMENTED YET Day of YearD3, 33, 333Minimum necessary digits DD03, 33, 333Minimum of 2 digits, zero padded DDD003, 033, 333Minimum of 3 digits, zero padded Day of Monthd2, 22Minimum necessary digits dd02, 22Two digits, zero padded Day of WeekE, EE, EEE&quot;Tue&quot;Abbreviated EEEE&quot;Tuesday&quot;Wide EEEEE&quot;T&quot;Narrow EEEEEE&quot;Tu&quot;Short e2Single digit ee&quot;02&quot;Two digits eee&quot;Tue&quot;Abbreviated eeee&quot;Tuesday&quot;Wide eeeee&quot;T&quot;Narrow eeeeee&quot;Tu&quot;Short Standalone Day of Weekc, cc2Single digit ccc&quot;Tue&quot;Abbreviated cccc&quot;Tuesday&quot;Wide ccccc&quot;T&quot;Narrow cccccc&quot;Tu&quot;Short AM or PMa, aa, aaa&quot;am.&quot;Abbreviated aaaa&quot;am.&quot;Wide aaaaa&quot;am&quot;Narrow Noon, Mid, AM, PMb, bb, bbb&quot;mid.&quot;Abbreviated bbbb&quot;midnight&quot;Wide bbbbb&quot;md&quot;Narrow Flexible time periodB, BB, BBB&quot;at night&quot;Abbreviated BBBB&quot;at night&quot;Wide BBBBB&quot;at night&quot;Narrow Hourh, K, H, kSee the table below Minutem3, 10Minimim digits of minutes mm&quot;03&quot;, &quot;12&quot;Two digits, zero padded Seconds3, 48Minimim digits of seconds ss&quot;03&quot;, &quot;48&quot;Two digits, zero padded Fractional SecondsS3, 48Minimim digits of fractional seconds SS&quot;03&quot;, &quot;48&quot;Two digits, zero padded MillsecondsA+4000, 63241Minimim digits of milliseconds since midnight Generic non-location TZv&quot;Etc/UTC&quot;:time_zone key, unlocalised vvvv&quot;unk&quot;Generic timezone name. Currently returns only &quot;unk&quot; Specific non-location TZz..zzz&quot;UTC&quot;:zone_abbr key, unlocalised zzzz&quot;GMT&quot;Delegates to zone_gmt/4 Timezone IDV&quot;unk&quot;:zone_abbr key, unlocalised VV&quot;Etc/UTCDelegates to zone_gmt/4 VVV&quot;Unknown City&quot;Exemplar city. Not supported. VVVV&quot;GMT&quot;Delegates to `zone_gmt/4 ISO8601 FormatZ..ZZZ&quot;+0100&quot;ISO8601 Basic Format with hours and minutes ZZZZ&quot;+01:00&quot;Delegates to `zone_gmt/4 ZZZZZ&quot;+01:00:10&quot;ISO8601 Extended format with optional seconds ISO8601 plus ZX&quot;+01&quot;ISO8601 Basic Format with hours and optional minutes or &quot;Z&quot; XX&quot;+0100&quot;ISO8601 Basic Format with hours and minutes or &quot;Z&quot; XXX&quot;+0100&quot;ISO8601 Basic Format with hours and minutes, optional seconds or &quot;Z&quot; XXXX&quot;+010059&quot;ISO8601 Basic Format with hours and minutes, optional seconds or &quot;Z&quot; XXXXX&quot;+01:00:10&quot;ISO8601 Extended Format with hours and minutes, optional seconds or &quot;Z&quot; ISO8601 minus Zx&quot;+0100&quot;ISO8601 Basic Format with hours and optional minutes xx&quot;-0800&quot;ISO8601 Basic Format with hours and minutes xxx&quot;+01:00&quot;ISO8601 Extended Format with hours and minutes xxxx&quot;+010059&quot;ISO8601 Basic Format with hours and minutes, optional seconds xxxxx&quot;+01:00:10&quot;ISO8601 Extended Format with hours and minutes, optional seconds GMT FormatO&quot;+0100&quot;Short localised GMT format OOOO&quot;+010059&quot;Long localised GMT format","ref":"readme.html#format-strings","title":"Date and Time Localization and Formatting - Format strings","type":"extras"},{"doc":"The hour of day can be formatted differently depending whether a 12- or 24-hour day is being represented and depending on the way in which midnight and noon are represented. The following table illustrates the differences: SymbolMidn.MorningNoonAfternoonMidn. h121...11121...1112 K01...1101...110 H01...111213...230 k241...111213...2324","ref":"readme.html#formatting-symbols-for-hour-of-day","title":"Date and Time Localization and Formatting - Formatting symbols for hour of day","type":"extras"},{"doc":"The primary API for formatting relative dates and datetimes is Cldr.DateTime.Relative.to_string/2. Some examples: iex&gt; MyApp.Cldr.DateTime.Relative.to_string(-1) {:ok, &quot;1 second ago&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(1) {:ok, &quot;in 1 second&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(1, MyApp.Cldr, unit: :day) {:ok, &quot;tomorrow&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(1, MyApp.Cldr, unit: :day, locale: &quot;fr&quot;) {:ok, &quot;demain&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(1, MyApp.Cldr, unit: :day, format: :narrow) {:ok, &quot;tomorrow&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(1234, unit: :year) {:ok, &quot;in 1,234 years&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(1234, unit: :year, locale: &quot;fr&quot;) {:ok, &quot;dans 1 234 ans&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(31) {:ok, &quot;in 31 seconds&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(~D[2017-04-29], relative_to: ~D[2017-04-26]) {:ok, &quot;in 3 days&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(310, format: :short, locale: &quot;fr&quot;) {:ok, &quot;dans 5 min&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(310, format: :narrow, locale: &quot;fr&quot;) {:ok, &quot;+5 min&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string 2, unit: :wed, format: :short {:ok, &quot;in 2 Wed.&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string 1, unit: :wed, format: :short {:ok, &quot;next Wed.&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string -1, unit: :wed, format: :short {:ok, &quot;last Wed.&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string -1, unit: :wed {:ok, &quot;last Wednesday&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string -1, unit: :quarter {:ok, &quot;last quarter&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string -1, unit: :mon, locale: &quot;fr&quot; {:ok, &quot;lundi dernier&quot;} iex&gt; MyApp.Cldr.DateTime.Relative.to_string(~D[2017-04-29], unit: :ziggeraut) {:error, {Cldr.UnknownTimeUnit, &quot;Unknown time unit :ziggeraut. Valid time units are [:day, :hour, :minute, :month, :second, :week, :year, :mon, :tue, :wed, :thu, :fri, :sat, :sun, :quarter]&quot;}}","ref":"readme.html#relative-date-time-and-datetime-localization-formatting","title":"Date and Time Localization and Formatting - Relative Date, Time and DateTime Localization Formatting","type":"extras"},{"doc":"Although largely complete (with respect to the CLDR data), there are some known limitations as of release 2.0. Timezones Although the timezone format codes are supported (formatting symbols v, V, x, X, z, Z, O) not all localisations are performed. Only that data available within a DateTime struct is used to format timezone data.","ref":"readme.html#known-restrictions-and-limitations","title":"Date and Time Localization and Formatting - Known restrictions and limitations","type":"extras"},{"doc":"Changelog for Cldr_Dates_Times v2.4.0 This is the changelog for Cldr_Dates_Times v2.4.0 released on May 4th, 2020. For older changelogs please consult the release tag on GitHub Enhancements Add Cldr.Time.hour_format_from_locale/1 to return the hour formatted preferred for a locale Add Cldr.DateTime.Formatter.hour/{2, 4} that formats the hour part of a time in accordance with locale preferences (including honouring the hc key of the u language tag extension) Add format symbol ddd to return the day of the month with ordinal formatting. This not a CLDR standard format symbol. Add protocol support for Cldr.Chars which is used by Cldr.to_string/1 Changelog for Cldr_Dates_Times v2.3.0 This is the changelog for Cldr_Dates_Times v2.3.0 released on February 2nd, 2020. For older changelogs please consult the release tag on GitHub Enhancements Adds backend modules MyApp.Cldr.Date, MyApp.Cldr.Time and MyApp.Cldr.DateTime that contain the functions to_string/2 and to_string!/2. This means all the ex_cldr family of libraries should now be primarily called on the backend modules. This makes aliasing easier too. For example: defmodule MyApp.Cldr do use Cldr, providers: [Cldr.Number, Cldr.DateTime], default_locale: &quot;en&quot; end defmodule MyApp do alias MyApp.Cldr def some_fun do Cldr.Date.to_string Date.utc_today() end end Changelog for Cldr_Dates_Times v2.2.4 This is the changelog for Cldr_Dates_Times v2.2.4 released on January 14th, 2020. For older changelogs please consult the release tag on GitHub Bug Fixes Update tests for Elixir 1.10 date/time inspection changes Fix dialyzer warning in generated backend Changelog for Cldr_Dates_Times v2.2.3 This is the changelog for Cldr_Dates_Times v2.2.3 released on September 14th, 2019. For older changelogs please consult the release tag on GitHub Bug Fixes Correctly uses a provided :backend option when validating the :locale option to the various to_string/3 calls. Thanks to @lostkobrakai. Closes #108 and #109. Changelog for Cldr_Dates_Times v2.2.2 This is the changelog for Cldr_Dates_Times v2.2.2 released on August 31st, 2019. For older changelogs please consult the release tag on GitHub Changes &amp; Deprecations Deprecates the option :format on Cldr.DateTime.Relative.to_string/3 in favour of :style. :format will be removed with ex_cldr_dates_times version 3.0 Bug Fixes Return an error tuple immediately when a format code is used but no data is available to fulfill it Changelog for Cldr_Dates_Times v2.2.1 This is the changelog for Cldr_Dates_Times v2.2.1 released on August 23rd, 2019. For older changelogs please consult the release tag on GitHub Bug Fixes Fix @spec for Cldr.Date.to_string/3, Cldr.Time.to_string/3 and Cldr.DateTime.to_string/3 as well as the ! variants. Changelog for Cldr_Dates_Times v2.2.0 This is the changelog for Cldr_Dates_Times v2.2.0 released on August 23rd, 2019. For older changelogs please consult the release tag on GitHub","ref":"changelog.html","title":"Changelog for Cldr_Dates_Times v2.4.0","type":"extras"},{"doc":"Support Elixir 1.8 and later only since this package depends on ex_cldr_calendars which requires Elixir 1.8.","ref":"changelog.html#breaking-change","title":"Changelog for Cldr_Dates_Times v2.4.0 - Breaking change","type":"extras"},{"doc":"Fix references to Cldr.get_current_locale/0 to the current Cldr/get_locale/0 Fix dialyzer warnings Changelog for Cldr_Dates_Times v2.1.0 This is the changelog for Cldr_Dates_Times v2.1.0 released on June 16th, 2019. For older changelogs please consult the release tag on GitHub","ref":"changelog.html#bug-fixes","title":"Changelog for Cldr_Dates_Times v2.4.0 - Bug Fixes","type":"extras"},{"doc":"All calling Date, Time and DateTime to_string/3 as to_string/1 omitting the backend and providing options. The backend will default to Cldr.default_backend(). An exception will be raised if there is no default backend. Updates to ex_cldr_calendars 1.0 which includes Cldr.Calendar.week_of_month/1. The result corresponds to the W format which is now implemented as well. Changelog for Cldr_Dates_Times v2.0.2 This is the changelog for Cldr_Dates_Times v2.0.2 released on June 12th, 2019. For older changelogs please consult the release tag on GitHub","ref":"changelog.html#enhancements","title":"Changelog for Cldr_Dates_Times v2.4.0 - Enhancements","type":"extras"},{"doc":"Resolve the actual number system before transliterating a date, time or datetime. Closes #9. Thanks to @ribanez7 for the report. Changelog for Cldr_Dates_Times v2.0.1 This is the changelog for Cldr_Dates_Times v2.0.1 released on June 9th, 2019. For older changelogs please consult the release tag on GitHub","ref":"changelog.html#bug-fixes","title":"Changelog for Cldr_Dates_Times v2.4.0 - Bug Fixes","type":"extras"},{"doc":"Fixes a formatter code generation error when a format is a tuple form not a string form. Changelog for Cldr_Dates_Times v2.0.0 This is the changelog for Cldr_Dates_Times v2.0 released on June 9th, 2019. For older changelogs please consult the release tag on GitHub This release depends on ex_cldr_calendars which provides the underlying calendar calculations as well as providing a set of additional calendars.","ref":"changelog.html#bug-fixes","title":"Changelog for Cldr_Dates_Times v2.4.0 - Bug Fixes","type":"extras"},{"doc":"ex_cldr_dates_times requires a minimum Elixir version of 1.8. It depends on Calendar capabilities built into this and later release. ex_cldr_dates_times now depends upon ex_cldr version 2.0. As a result it is a requirement that at least one backend module be configured as described in the ex_cldr readme. The public API is now based upon functions defined on a backend module. Therefore calls to functions such as Cldr.DateTime.to_string/3 should be replaced with calls to MyApp.Cldr.DateTime.to_string/3 (assuming your configured backend module is called MyApp.Cldr).","ref":"changelog.html#breaking-changes","title":"Changelog for Cldr_Dates_Times v2.4.0 - Breaking Changes","type":"extras"},{"doc":"Correctly calculates week_of_year Supports Calendar.ISO and any calendar defined with Cldr.Calendar (see ex_cldr_calendars)","ref":"changelog.html#enhancements","title":"Changelog for Cldr_Dates_Times v2.4.0 - Enhancements","type":"extras"},{"doc":"Does not calculate week_of_month. If called will return 1 for all input values.","ref":"changelog.html#known-limitations","title":"Changelog for Cldr_Dates_Times v2.4.0 - Known limitations","type":"extras"},{"doc":"ex_cldr_dates_times uses the configuration set for the dependency ex_cldr. See the documentation for ex_cldr Unlike ex_cldr_dates_times version 1, version 2 requires one or more backend modules to host the functions that manage CLDR data. An example to get started is: Create a backend module: defmodule MyApp.Cldr do use Cldr, locales: [&quot;en&quot;, &quot;fr&quot;, &quot;ja&quot;], providers: [Cldr.Number, Cldr.Calendar, Cldr.DateTime] end Update config.exs configuration to specify this backend as the system default: config :ex_cldr, default_locale: &quot;en&quot;, default_backend: MyApp.Cldr Replace calls to Date. Time and DateTime functions to_string/2 with calls to to_string/3 where the second parameter is a backend module.","ref":"changelog.html#migration","title":"Changelog for Cldr_Dates_Times v2.4.0 - Migration","type":"extras"},{"doc":"","ref":"license.html","title":"LICENSE","type":"extras"},{"doc":"Copyright 2017 Kip Cole Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html#license","title":"LICENSE - License","type":"extras"}]